import { Page } from "payload-types";

import { RenderBlocks } from "components/RenderBlocks";

type Props = {
  layout: Page["layout"][];
  object: Page["layout"];
};

const BottomOverflow = ({ layout, object }: Props) => {
  return (
    <div className="relative">
      <div className="bg-primary-500 bg-[url('/images/stacked-peaks-haikei.svg')] bg-cover relative mb-32 lg:mb-96">
        <div className="px-2 xl:px-0 max-w-5xl mx-auto py-32 relative">
          <div className="flex flex-col lg:flex-row gap-8 lg:gap-32 items-center mb-8 lg:mb-64">
            <RenderBlocks blocks={layout} />
          </div>
        </div>
      </div>
      <div className="px-2 xl:px-0 max-w-5xl mx-auto lg:absolute lg:top-full lg:-translate-y-1/2 w-full lg:-translate-x-1/2 lg:left-1/2 mb-8">
        <RenderBlocks blocks={object} />
      </div>
    </div>
  );
};

export default BottomOverflow;
