const DEFAULT =
  "inline-flex justify-center items-center border transition-colors font-display shadow uppercase tracking-wider overflow-hidden";

const SIZE = {
  sm: "px-3 py-2 text-md rounded-sm",
  base: "px-4 py-2 text-md lg:text-lg rounded-sm",
  md: "px-4 py-2 text-xl lg:text-2xl rounded-sm",
  lg: "px-5 py-2.5 md:px-8 md:py-4 text-xl lg:text-2xl rounded-sm",
  xl: "px-8 py-3 lg:px-8 lg:py-4 text-xl lg:text-2xl rounded-sm",
};

const ICON = {
  sm: "-ml-0.5 mr-3 h-3 w-3",
  base: "-ml-1 mr-3 h-3.5 w-3.5",
  md: "-ml-1 mr-3 h-4 w-4",
  lg: "-ml-1 mr-3 h-5 w-5",
  xl: "-ml-1 mr-3 h-5 w-5",
};

const VARIANT = {
  primary: "",
  secondary: "group relative",
};

const STYLE = {
  primary: {
    primary:
      "border-primary-700 bg-primary-700 hover:bg-primary-800 hover:border-primary-800 text-white",
    secondary:
      "border-secondary-600 bg-secondary-600 hover:bg-secondary-700 hover:border-secondary-700 text-white",
    white: "text-primary-500 hover:text-white bg-white hover:bg-primary-500 focus:ring-primary-500",
    red: "border-red-700 bg-red-700 hover:bg-red-800 hover:border-red-800 text-white",
    transparent: "bg-transparent",
  },
  secondary: {
    primary: "border-primary-500 text-white",
    secondary: "border-secondary-500 text-white",
    white: "text-primary-500 hover:text-white bg-white hover:bg-primary-500 focus:ring-primary-500",
    transparent: "bg-transparent",
    inner: {
      primary: "bg-primary-600 text-white",
      secondary: "bg-secondary-500 text-white",
    },
  },
};

export { DEFAULT, SIZE, ICON, STYLE, VARIANT };
