import { CONTAINER_PADDING, MAX_WIDTH } from "./style";
import { Page } from "payload-types";

import { MARGIN_BOTTOM, MARGIN_TOP } from "styles/constants";

import { joinClassNames } from "utils/helper";

import { RenderBlocks } from "components/RenderBlocks";

type ContainerBlockType = Omit<Extract<Page["layout"][0], { blockType: "container" }>, "blockType">;

const Container = ({
  layout,
  width,
  paddingY,
  color,
  marginTop,
  marginBottom,
}: ContainerBlockType) => {
  return (
    <div
      className={joinClassNames(
        "mx-auto bg-cover bg-center",
        MAX_WIDTH[width],
        CONTAINER_PADDING[paddingY],
        MARGIN_TOP[marginTop],
        MARGIN_BOTTOM[marginBottom]
      )}
      style={{ backgroundColor: color ? color : "transparent" }}
    >
      <RenderBlocks blocks={layout} />
    </div>
  );
};

export default Container;
