import { TYPE_MAPS } from "./style";
import { Page } from "payload-types";

import { MARGIN_BOTTOM, TEXT_ALIGN } from "styles/constants";

import { joinClassNames } from "utils/helper";

type HeadingBlock = Omit<
  Extract<
    Extract<Page["layout"][number], { blockType: "container" }>["layout"][number],
    { blockType: "heading" }
  >,
  "blockType"
> & {
  className?: string;
};

const Heading = ({ text, as, type, color, marginBottom, textAlign, className }: HeadingBlock) => {
  const Element = as || "p";
  return (
    <Element
      className={joinClassNames(
        TYPE_MAPS[type],
        MARGIN_BOTTOM[marginBottom],
        TEXT_ALIGN[textAlign],
        "text-gray-600",
        className
      )}
      style={{ color: color }}
    >
      {text}
    </Element>
  );
};

export default Heading;
