import { Media, Page } from "payload-types";

type NumberedListBlock = Extract<
  Extract<Page["layout"][number], { blockType: "container" }>["layout"][number],
  { blockType: "numberedList" }
> & { image: Media };

const NumberedList = ({ children }: NumberedListBlock) => {
  return (
    <div className="space-y-16 mb-32">
      {children.map((item, index) => (
        <div className="flex space-x-8" key={index}>
          <div className="w-12 rounded-full h-12 flex justify-center items-center font-display text-white text-3xl bg-primary-500 shrink-0">
            {index + 1}
          </div>
          <div>
            <p className="text-justify text-gray-600">{item.title}</p>
          </div>
        </div>
      ))}
    </div>
  );
};

export default NumberedList;
