import { WIDTH } from "./style";
import { Media, Page } from "payload-types";

import { MARGIN_BOTTOM } from "styles/constants";

import { joinClassNames } from "utils/helper";

type ImageBlock = Omit<
  Extract<
    Extract<Page["layout"][number], { blockType: "container" }>["layout"][number],
    { blockType: "videoBlock" }
  > & { video: Media },
  "blockType"
>;

const Video = ({ video, caption, showCaption, width, marginBottom }: ImageBlock) => {
  return (
    <figure className={joinClassNames("w-full", WIDTH[width], MARGIN_BOTTOM[marginBottom])}>
      <video controls className="rounded-xl mb-4">
        <source src={video.url} />
      </video>
      {showCaption && (
        <figcaption
          className={joinClassNames(
            "text-center font-display tracking-wider text-lg text-gray-600"
          )}
        >
          {caption}
        </figcaption>
      )}
    </figure>
  );
};

export default Video;
