const { fontFamily } = require("tailwindcss/defaultTheme");

/** @type {import('tailwindcss').Config} */
module.exports = {
  content: [
    "./app/**/*.{js,ts,jsx,tsx}",
    "./pages/**/*.{js,ts,jsx,tsx}",
    "./components/**/*.{js,ts,jsx,tsx}",
    "./styles/constants.{js,ts,jsx,tsx}",
  ],
  darkMode: "class",
  theme: {
    extend: {
      colors: {
        primary: {
          50: "#f1fcf9",
          100: "#d1f6ef",
          200: "#a4ebdf",
          300: "#6edacb",
          400: "#40c1b3",
          500: "#27a79b",
          600: "#1c857d",
          700: "#1b6a65",
          800: "#1a5552",
          900: "#1a4745",
        },
        secondary: {
          50: "#fdf9e9",
          100: "#faf1c7",
          200: "#f7e091",
          300: "#f2c952",
          400: "#ecb228",
          500: "#dc9916",
          600: "#be7510",
          700: "#975311",
          800: "#7e4315",
          900: "#6b3718",
        },
      },
    },
    fontFamily: {
      sans: ["var(--font-montserrat)", ...fontFamily.sans],
      display: ["var(--font-bebasneue)", ...fontFamily.sans],
    },
  },
  plugins: [require("@tailwindcss/typography"), require("@tailwindcss/forms")],
};
