import { marginBottom } from "../fields/marginBottom";
import { Articles } from "./Articles";
import { Columns } from "./Columns";
import { ContactForm } from "./ContactForm";
import { ContactSection } from "./ContactSection";
import Content from "./Content";
import { Divider } from "./Divider";
import { Faq } from "./Faq";
import { Features } from "./Features";
import { Gallery } from "./Gallery";
import { Heading } from "./Heading";
import { NumberedList } from "./NumberedList";
import { OwlCarousel } from "./OwlCarousel";
import { SectionImage } from "./SectionImage";
import { Timeline } from "./Timeline";
import type { Block } from "payload/types";

export const BottomOverflow: Block = {
  slug: "bottomOverflow",
  labels: {
    singular: "Blok s pozadím a přeryvem objektu přes pozadí",
    plural: "Bloky s pozadím a přeryvem objektu přes pozadí",
  },
  fields: [
    {
      label: "Komponenta zobrazovaná před objektem",
      labels: {
        singular: "Komponenta zobrazovaná před objektem",
        plural: "Komponenty zobrazované před objektem",
      },
      name: "layout",
      type: "blocks",
      required: true,
      blocks: [
        Articles,
        Columns,
        ContactForm,
        ContactSection,
        Divider,
        Faq,
        Features,
        Gallery,
        Heading,
        NumberedList,
        OwlCarousel,
        Content,
        SectionImage,
        Timeline,
      ],
    },
    {
      label: "Objekt, který se nachází na přeryvu přes pozadí",
      labels: {
        singular: "Objekt, který se nachází na přeryvu přes pozadí",
        plural: "Objekty, které se nachází na přeryvu přes pozadí",
      },
      name: "object",
      type: "blocks",
      required: true,
      blocks: [
        Articles,
        Columns,
        ContactForm,
        ContactSection,
        Divider,
        Faq,
        Features,
        Gallery,
        Heading,
        NumberedList,
        OwlCarousel,
        Content,
        SectionImage,
        Timeline,
      ],
    },
    marginBottom(),
  ],
};
