import link from "../fields/link";
import { marginBottom } from "../fields/marginBottom";
import type { Block } from "payload/types";

export const Button: Block = {
  slug: "button",
  labels: {
    singular: "Tlačítko",
    plural: "Tlačítka",
  },
  fields: [
    {
      name: "text",
      label: "Text na tlačítku",
      type: "text",
      required: true,
    },
    {
      name: "icon",
      label: "Ikona zobrazovaná na tlačítku",
      type: "upload",
      relationTo: "media",
    },
    {
      name: "style",
      label: "Styl tlačítka",
      type: "radio",
      options: [
        {
          label: "Primární",
          value: "primary",
        },
        {
          label: "Sekundární",
          value: "secondary",
        },
        {
          label: "Světlé",
          value: "light",
        },
        {
          label: "Tmavé",
          value: "dark",
        },
        {
          label: "Červené",
          value: "red",
        },
      ],
      defaultValue: "primary",
      admin: {
        layout: "horizontal",
      },
    },
    {
      name: "size",
      label: "Velikost tlačítka",
      type: "radio",
      options: [
        {
          label: "Malé",
          value: "sm",
        },
        {
          label: "Výchozí",
          value: "base",
        },
        {
          label: "Střední",
          value: "md",
        },
        {
          label: "Velké",
          value: "lg",
        },
      ],
      defaultValue: "base",
      admin: {
        layout: "horizontal",
      },
    },
    {
      name: "variant",
      label: "Varianta tlačítka",
      type: "radio",
      options: [
        {
          label: "Primární",
          value: "primary",
        },
        {
          label: "Sekundární",
          value: "secondary",
        },
      ],
      defaultValue: "primary",
      admin: {
        layout: "horizontal",
      },
    },
    link({
      appearances: false,
      disableLabel: true,
      overrides: {
        label: false,
      },
    }),
    marginBottom(),
  ],
};
