import { Articles } from "./Articles";
import { Button } from "./Button";
import { ContactForm } from "./ContactForm";
import { ContactSection } from "./ContactSection";
import Content from "./Content";
import { Divider } from "./Divider";
import { Faq } from "./Faq";
import { Features } from "./Features";
import { Gallery } from "./Gallery";
import { Heading } from "./Heading";
import { Image } from "./Image";
import { NumberedList } from "./NumberedList";
import { OwlCarousel } from "./OwlCarousel";
import { SectionImage } from "./SectionImage";
import { Showcase } from "./Showcase";
import { Timeline } from "./Timeline";
import type { Block } from "payload/types";

export const Column: Block = {
  slug: "column",
  labels: {
    singular: "Sloupec",
    plural: "Sloupce",
  },
  fields: [
    {
      name: "width",
      label: "Šířka sloupce",
      type: "radio",
      options: [
        { label: "1/4 šířky", value: "1/4" },
        { label: "1/3 šířky", value: "1/3" },
        { label: "1/2 šířky", value: "1/2" },
        { label: "2/3 šířky", value: "2/3" },
        { label: "3/4 šířky", value: "3/4" },
      ],
      defaultValue: "1/4", // The first value in options.
      admin: {
        layout: "horizontal",
      },
    },
    {
      label: "Komponenta",
      labels: {
        singular: "Komponenta",
        plural: "Komponenty",
      },
      name: "layout",
      type: "blocks",
      required: true,
      blocks: [
        Articles,
        Button,
        ContactForm,
        ContactSection,
        Divider,
        Faq,
        Features,
        Gallery,
        Heading,
        NumberedList,
        OwlCarousel,
        Content,
        SectionImage,
        Timeline,
        Showcase,
        Image,
      ],
    },
  ],
};
