import { Button } from "./Button";
import { Block } from "payload/types";

export const Hero: Block = {
  slug: "hero",
  labels: {
    singular: "Hero",
    plural: "Hero",
  },
  fields: [
    {
      name: "showNavigation",
      type: "checkbox",
      label: "Zobrazit navigaci",
      defaultValue: false,
    },
    {
      name: "showLogo",
      type: "checkbox",
      label: "Zobrazit logo",
      defaultValue: false,
    },
    {
      name: "image",
      label: "Logo",
      type: "upload",
      relationTo: "media",
      required: true,
    },
    {
      name: "subtitle",
      type: "textarea",
      label: "Slogan",
      required: true,
    },
    {
      label: "Komponenty",
      labels: {
        singular: "Komponenta",
        plural: "Komponenty",
      },
      name: "layout",
      type: "blocks",
      required: true,
      blocks: [Button],
    },
  ],
};
