import colorField from "../fields/colorPicker/config";
import { Articles } from "./Articles";
import { Button } from "./Button";
import { Columns } from "./Columns";
import { ContactForm } from "./ContactForm";
import { ContactSection } from "./ContactSection";
import { Container } from "./Container";
import Content from "./Content";
import { Divider } from "./Divider";
import { Faq } from "./Faq";
import { Features } from "./Features";
import { Gallery } from "./Gallery";
import { Heading } from "./Heading";
import { NumberedList } from "./NumberedList";
import { OwlCarousel } from "./OwlCarousel";
import { SectionImage } from "./SectionImage";
import { Timeline } from "./Timeline";
import type { Block } from "payload/types";

export const Layout: Block = {
  slug: "layout",
  labels: {
    singular: "Kontejner",
    plural: "Kontejnery",
  },
  fields: [
    {
      name: "width",
      label: "Šířka kontejneru",
      type: "radio",
      options: [
        {
          label: "Výchozí šířka",
          value: "default",
        },
        {
          label: "Rozšířená šířka",
          value: "extended",
        },
        {
          label: "Plná šířka",
          value: "full",
        },
      ],
      defaultValue: "default",
      admin: {
        layout: "horizontal",
      },
    },
    {
      name: "paddingY",
      label: "Horizontální odsazení",
      type: "radio",
      options: [
        { label: "Malé", value: "sm" },
        { label: "Střední", value: "md" },
        { label: "Velké", value: "lg" },
        { label: "Velmi velké", value: "xl" },
      ],
      defaultValue: "default",
      admin: {
        layout: "horizontal",
      },
    },
    colorField,
    {
      label: "Komponenty",
      labels: {
        singular: "Komponenta",
        plural: "Komponenty",
      },
      name: "layout",
      type: "blocks",
      required: true,
      blocks: [
        Articles,
        Button,
        Columns,
        ContactForm,
        ContactSection,
        Divider,
        Faq,
        Features,
        Gallery,
        Heading,
        NumberedList,
        OwlCarousel,
        Content,
        SectionImage,
        Timeline,
        Container,
      ],
    },
  ],
};
