import { marginBottom } from "../fields/marginBottom";
import type { Block } from "payload/types";

export const referenceBlock: Block = {
  slug: "referenceBlock",
  labels: {
    singular: "Reference",
    plural: "Reference",
  },
  fields: [
    {
      name: "references",
      label: "Reference",
      type: "relationship",
      relationTo: "clientReferences",
      admin: {
        condition: () => {
          return false;
        },
      },
      hasMany: true,
      hooks: {
        afterRead: [
          async ({ req }) => {
            const { docs } = await req.payload.find({
              collection: "clientReferences",
            });
            return docs;
          },
        ],
      },
    },
    marginBottom(),
  ],
};
