import { marginBottom } from "../fields/marginBottom";
import { Button } from "./Button";
import type { Block } from "payload/types";

export const SectionImage: Block = {
  slug: "sectionImage",
  labels: {
    singular: "Sekce s obrázkem",
    plural: "Sekce s obrázkem",
  },
  fields: [
    {
      name: "buttons",
      label: "Tlačítka",
      labels: {
        singular: "Tlačítko",
        plural: "Tlačítka",
      },
      type: "blocks",
      minRows: 1,
      maxRows: 1,
      blocks: [Button],
    },
    {
      name: "children",
      label: "Položky",
      type: "array",
      minRows: 1,
      fields: [
        {
          name: "title",
          type: "text",
        },
      ],
    },
    {
      name: "image",
      label: "Obrázek klienta",
      type: "upload",
      relationTo: "media",
      required: true,
    },
    {
      name: "setPriority",
      type: "checkbox",
      label: "Nastavit prioritu načítání obrázku",
    },
    marginBottom(),
  ],
};
