import { regeneratePage } from "../utilities/regeneratePage";
import { CollectionConfig } from "payload/types";

export const Clients: CollectionConfig = {
  slug: "clients",
  labels: {
    singular: "Klient",
    plural: "Klienti",
  },
  admin: {
    useAsTitle: "name",
  },
  access: {
    read: () => {
      return true;
    },
  },
  hooks: {
    afterChange: [
      ({ req: { payload } }) => {
        regeneratePage({
          payload,
        });
      },
    ],
  },
  fields: [
    {
      name: "name",
      label: "Jméno klienta",
      type: "text",
      required: true,
    },
    {
      name: "position",
      label: "Pozice klienta",
      type: "text",
      required: true,
    },
    {
      name: "image",
      label: "Obrázek klienta",
      type: "upload",
      relationTo: "media",
      required: true,
    },
  ],
};
