import { regeneratePage } from "../utilities/regeneratePage";
import path from "path";
import { CollectionConfig } from "payload/types";

const Videos: CollectionConfig = {
  slug: "videos",
  labels: {
    singular: "Video",
    plural: "Videa",
  },
  admin: {
    useAsTitle: "filename",
  },
  access: {
    read: () => {
      return true;
    },
    create: () => {
      return true;
    },
  },
  hooks: {
    afterDelete: [
      ({ req: { payload } }) => {
        regeneratePage({
          payload,
        });
      },
    ],
    afterChange: [
      ({ req: { payload } }) => {
        regeneratePage({
          payload,
        });
      },
    ],
  },
  upload: {
    adminThumbnail: "thumbnail",
    staticURL: "/videos",
    staticDir: path.resolve(__dirname, "../../videos"),
    mimeTypes: ["video/mp4"],
  },
  fields: [],
};

export default Videos;
