import { Articles } from "../blocks/Articles";
import { Button } from "../blocks/Button";
import { Columns } from "../blocks/Columns";
import { ContactForm } from "../blocks/ContactForm";
import { ContactSection } from "../blocks/ContactSection";
import { Container } from "../blocks/Container";
import Content from "../blocks/Content";
import { Divider } from "../blocks/Divider";
import { Faq } from "../blocks/Faq";
import { Features } from "../blocks/Features";
import { Gallery } from "../blocks/Gallery";
import { Heading } from "../blocks/Heading";
import { NumberedList } from "../blocks/NumberedList";
import { OwlCarousel } from "../blocks/OwlCarousel";
import { SectionImage } from "../blocks/SectionImage";
import { Timeline } from "../blocks/Timeline";
import deepMerge from "../utilities/deepMerge";
import type { Field } from "payload/types";

type Slug = (fieldToUse?: string, overrides?: Partial<Field>) => Field;

export const layout: Slug = (fieldToUse = "title", overrides = {}) =>
  deepMerge<Field, Partial<Field>>(
    {
      label: "Komponenty",
      type: "blocks",
      labels: {
        singular: "Komponenta",
        plural: "Komponenty",
      },
      name: "layout",
      required: true,
      blocks: [
        Articles,
        Button,
        Columns,
        ContactForm,
        ContactSection,
        Divider,
        Faq,
        Features,
        Gallery,
        Heading,
        NumberedList,
        OwlCarousel,
        Content,
        SectionImage,
        Timeline,
        Container,
      ],
    },
    overrides
  );
