import { regeneratePage } from "../utilities/regeneratePage";
import { GlobalConfig } from "payload/types";

const ContactDetails: GlobalConfig = {
  slug: "contactDetails",
  label: "Kontaktní údaje",
  access: {
    read: () => {
      return true;
    },
  },
  hooks: {
    afterChange: [
      ({ req: { payload } }) => {
        regeneratePage({
          payload,
        });
      },
    ],
  },
  fields: [
    {
      name: "companyName",
      label: "Název firmy",
      type: "text",
      required: true,
    },
    {
      name: "telephoneNumber",
      label: "Telefonní číslo",
      type: "text",
      required: true,
    },
    {
      name: "emailAddress",
      label: "E-mailová adresa",
      type: "text",
      required: true,
    },
    {
      name: "address",
      label: "Fyzická adresa",
      type: "richText",
    },
  ],
};

export default ContactDetails;
