/* tslint:disable */
/**
 * This file was automatically generated by Payload CMS.
 * DO NOT MODIFY IT BY HAND. Instead, modify your source Payload config,
 * and re-run `payload generate:types` to regenerate this file.
 */

export interface Config {
  collections: {
    users: User;
    pages: Page;
    posts: Post;
    categories: Category;
    clientReferences: ClientReference;
    media: Media;
    employees: Employee;
  };
  globals: {
    header: Header;
    footer: Footer;
    socialSites: SocialSite;
    metadata: Metadatum;
    contactDetails: ContactDetail;
    websiteSettings: WebsiteSetting;
    cookies: Cooky;
  };
}
export interface User {
  id: string;
  name: string;
  image?: string | Media;
  email?: string;
  resetPasswordToken?: string;
  resetPasswordExpiration?: string;
  loginAttempts?: number;
  lockUntil?: string;
  createdAt: string;
  updatedAt: string;
  password?: string;
}
export interface Media {
  id: string;
  alt: string;
  url?: string;
  filename?: string;
  mimeType?: string;
  filesize?: number;
  width?: number;
  height?: number;
  sizes?: {
    thumbnail?: {
      url?: string;
      width?: number;
      height?: number;
      mimeType?: string;
      filesize?: number;
      filename?: string;
    };
    portrait?: {
      url?: string;
      width?: number;
      height?: number;
      mimeType?: string;
      filesize?: number;
      filename?: string;
    };
    hero?: {
      url?: string;
      width?: number;
      height?: number;
      mimeType?: string;
      filesize?: number;
      filename?: string;
    };
  };
  createdAt: string;
  updatedAt: string;
}
export interface Page {
  id: string;
  title: string;
  layout?: (
    | {
        width?: 'default' | 'extended' | 'full';
        paddingY?: 'none' | 'sm' | 'md' | 'lg' | 'xl';
        color?: string;
        layout: (
          | {
              perPage: number;
              articles?: string[] | Post[];
              category?: string[] | Category[];
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'articles';
            }
          | {
              text: string;
              icon?: string | Media;
              style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
              size?: 'sm' | 'base' | 'md' | 'lg';
              variant?: 'primary' | 'secondary';
              link?: {
                type?: 'reference' | 'custom';
                reference:
                  | {
                      value: string | Page;
                      relationTo: 'pages';
                    }
                  | {
                      value: string | Post;
                      relationTo: 'posts';
                    };
                url: string;
                newTab?: boolean;
                icon?: string | Media;
              };
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'button';
            }
          | {
              layout: {
                width?: '1/4' | '1/3' | '1/2' | '2/3' | '3/4';
                layout: (
                  | {
                      perPage: number;
                      articles?: string[] | Post[];
                      category?: string[] | Category[];
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'articles';
                    }
                  | {
                      text: string;
                      icon?: string | Media;
                      style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
                      size?: 'sm' | 'base' | 'md' | 'lg';
                      variant?: 'primary' | 'secondary';
                      link?: {
                        type?: 'reference' | 'custom';
                        reference:
                          | {
                              value: string | Page;
                              relationTo: 'pages';
                            }
                          | {
                              value: string | Post;
                              relationTo: 'posts';
                            };
                        url: string;
                        newTab?: boolean;
                        icon?: string | Media;
                      };
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'button';
                    }
                  | {
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'contactForm';
                    }
                  | {
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'contactSection';
                    }
                  | {
                      type?: 'simple' | 'graphical';
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'divider';
                    }
                  | {
                      questions?: {
                        title: string;
                        content: string;
                        id?: string;
                      }[];
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'faq';
                    }
                  | {
                      items?: {
                        title: string;
                        description: string;
                        id?: string;
                      }[];
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'features';
                    }
                  | {
                      images?: {
                        image: string | Media;
                        id?: string;
                      }[];
                      id?: string;
                      blockName?: string;
                      blockType: 'gallery';
                    }
                  | {
                      text: string;
                      as?: 'p' | 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
                      type?: 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
                      color?: string;
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'heading';
                    }
                  | {
                      children?: {
                        title?: string;
                        id?: string;
                      }[];
                      id?: string;
                      blockName?: string;
                      blockType: 'numberedList';
                    }
                  | {
                      items?: {
                        icon: string | Media;
                        title: string;
                        description: string;
                        id?: string;
                      }[];
                      id?: string;
                      blockName?: string;
                      blockType: 'owlCarousel';
                    }
                  | {
                      richText?: {
                        [k: string]: unknown;
                      }[];
                      links?: {
                        link?: {
                          type?: 'reference' | 'custom';
                          label: string;
                          reference:
                            | {
                                value: string | Page;
                                relationTo: 'pages';
                              }
                            | {
                                value: string | Post;
                                relationTo: 'posts';
                              };
                          url: string;
                          newTab?: boolean;
                          icon?: string | Media;
                        };
                        id?: string;
                      }[];
                      color?: string;
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'content';
                    }
                  | {
                      buttons?: {
                        text: string;
                        icon?: string | Media;
                        style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
                        size?: 'sm' | 'base' | 'md' | 'lg';
                        variant?: 'primary' | 'secondary';
                        link?: {
                          type?: 'reference' | 'custom';
                          reference:
                            | {
                                value: string | Page;
                                relationTo: 'pages';
                              }
                            | {
                                value: string | Post;
                                relationTo: 'posts';
                              };
                          url: string;
                          newTab?: boolean;
                          icon?: string | Media;
                        };
                        marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                        id?: string;
                        blockName?: string;
                        blockType: 'button';
                      }[];
                      children?: {
                        title?: string;
                        id?: string;
                      }[];
                      image: string | Media;
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'sectionImage';
                    }
                  | {
                      items?: {
                        title: string;
                        description?: {
                          [k: string]: unknown;
                        }[];
                        id?: string;
                      }[];
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'timeline';
                    }
                  | {
                      items?: {
                        icon: string | Media;
                        title: string;
                        description?: {
                          [k: string]: unknown;
                        }[];
                        id?: string;
                      }[];
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'showcase';
                    }
                  | {
                      image: string | Media;
                      showCaption?: boolean;
                      caption: string;
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'image';
                    }
                )[];
                id?: string;
                blockName?: string;
                blockType: 'column';
              }[];
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'columns';
            }
          | {
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'contactForm';
            }
          | {
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'contactSection';
            }
          | {
              type?: 'simple' | 'graphical';
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'divider';
            }
          | {
              questions?: {
                title: string;
                content: string;
                id?: string;
              }[];
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'faq';
            }
          | {
              items?: {
                title: string;
                description: string;
                id?: string;
              }[];
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'features';
            }
          | {
              images?: {
                image: string | Media;
                id?: string;
              }[];
              id?: string;
              blockName?: string;
              blockType: 'gallery';
            }
          | {
              text: string;
              as?: 'p' | 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
              type?: 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
              color?: string;
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'heading';
            }
          | {
              children?: {
                title?: string;
                id?: string;
              }[];
              id?: string;
              blockName?: string;
              blockType: 'numberedList';
            }
          | {
              items?: {
                icon: string | Media;
                title: string;
                description: string;
                id?: string;
              }[];
              id?: string;
              blockName?: string;
              blockType: 'owlCarousel';
            }
          | {
              richText?: {
                [k: string]: unknown;
              }[];
              links?: {
                link?: {
                  type?: 'reference' | 'custom';
                  label: string;
                  reference:
                    | {
                        value: string | Page;
                        relationTo: 'pages';
                      }
                    | {
                        value: string | Post;
                        relationTo: 'posts';
                      };
                  url: string;
                  newTab?: boolean;
                  icon?: string | Media;
                };
                id?: string;
              }[];
              color?: string;
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'content';
            }
          | {
              buttons?: {
                text: string;
                icon?: string | Media;
                style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
                size?: 'sm' | 'base' | 'md' | 'lg';
                variant?: 'primary' | 'secondary';
                link?: {
                  type?: 'reference' | 'custom';
                  reference:
                    | {
                        value: string | Page;
                        relationTo: 'pages';
                      }
                    | {
                        value: string | Post;
                        relationTo: 'posts';
                      };
                  url: string;
                  newTab?: boolean;
                  icon?: string | Media;
                };
                marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                id?: string;
                blockName?: string;
                blockType: 'button';
              }[];
              children?: {
                title?: string;
                id?: string;
              }[];
              image: string | Media;
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'sectionImage';
            }
          | {
              items?: {
                title: string;
                description?: {
                  [k: string]: unknown;
                }[];
                id?: string;
              }[];
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'timeline';
            }
          | {
              width?: 'default' | 'extended' | 'full';
              paddingY?: 'none' | 'sm' | 'md' | 'lg' | 'xl';
              color?: string;
              layout: (
                | {
                    perPage: number;
                    articles?: string[] | Post[];
                    category?: string[] | Category[];
                    marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                    id?: string;
                    blockName?: string;
                    blockType: 'articles';
                  }
                | {
                    text: string;
                    icon?: string | Media;
                    style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
                    size?: 'sm' | 'base' | 'md' | 'lg';
                    variant?: 'primary' | 'secondary';
                    link?: {
                      type?: 'reference' | 'custom';
                      reference:
                        | {
                            value: string | Page;
                            relationTo: 'pages';
                          }
                        | {
                            value: string | Post;
                            relationTo: 'posts';
                          };
                      url: string;
                      newTab?: boolean;
                      icon?: string | Media;
                    };
                    marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                    id?: string;
                    blockName?: string;
                    blockType: 'button';
                  }
                | {
                    layout: {
                      width?: '1/4' | '1/3' | '1/2' | '2/3' | '3/4';
                      layout: (
                        | {
                            perPage: number;
                            articles?: string[] | Post[];
                            category?: string[] | Category[];
                            marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                            id?: string;
                            blockName?: string;
                            blockType: 'articles';
                          }
                        | {
                            text: string;
                            icon?: string | Media;
                            style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
                            size?: 'sm' | 'base' | 'md' | 'lg';
                            variant?: 'primary' | 'secondary';
                            link?: {
                              type?: 'reference' | 'custom';
                              reference:
                                | {
                                    value: string | Page;
                                    relationTo: 'pages';
                                  }
                                | {
                                    value: string | Post;
                                    relationTo: 'posts';
                                  };
                              url: string;
                              newTab?: boolean;
                              icon?: string | Media;
                            };
                            marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                            id?: string;
                            blockName?: string;
                            blockType: 'button';
                          }
                        | {
                            marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                            id?: string;
                            blockName?: string;
                            blockType: 'contactForm';
                          }
                        | {
                            marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                            id?: string;
                            blockName?: string;
                            blockType: 'contactSection';
                          }
                        | {
                            type?: 'simple' | 'graphical';
                            marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                            id?: string;
                            blockName?: string;
                            blockType: 'divider';
                          }
                        | {
                            questions?: {
                              title: string;
                              content: string;
                              id?: string;
                            }[];
                            marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                            id?: string;
                            blockName?: string;
                            blockType: 'faq';
                          }
                        | {
                            items?: {
                              title: string;
                              description: string;
                              id?: string;
                            }[];
                            marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                            id?: string;
                            blockName?: string;
                            blockType: 'features';
                          }
                        | {
                            images?: {
                              image: string | Media;
                              id?: string;
                            }[];
                            id?: string;
                            blockName?: string;
                            blockType: 'gallery';
                          }
                        | {
                            text: string;
                            as?: 'p' | 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
                            type?: 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
                            color?: string;
                            marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                            id?: string;
                            blockName?: string;
                            blockType: 'heading';
                          }
                        | {
                            children?: {
                              title?: string;
                              id?: string;
                            }[];
                            id?: string;
                            blockName?: string;
                            blockType: 'numberedList';
                          }
                        | {
                            items?: {
                              icon: string | Media;
                              title: string;
                              description: string;
                              id?: string;
                            }[];
                            id?: string;
                            blockName?: string;
                            blockType: 'owlCarousel';
                          }
                        | {
                            richText?: {
                              [k: string]: unknown;
                            }[];
                            links?: {
                              link?: {
                                type?: 'reference' | 'custom';
                                label: string;
                                reference:
                                  | {
                                      value: string | Page;
                                      relationTo: 'pages';
                                    }
                                  | {
                                      value: string | Post;
                                      relationTo: 'posts';
                                    };
                                url: string;
                                newTab?: boolean;
                                icon?: string | Media;
                              };
                              id?: string;
                            }[];
                            color?: string;
                            marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                            id?: string;
                            blockName?: string;
                            blockType: 'content';
                          }
                        | {
                            buttons?: {
                              text: string;
                              icon?: string | Media;
                              style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
                              size?: 'sm' | 'base' | 'md' | 'lg';
                              variant?: 'primary' | 'secondary';
                              link?: {
                                type?: 'reference' | 'custom';
                                reference:
                                  | {
                                      value: string | Page;
                                      relationTo: 'pages';
                                    }
                                  | {
                                      value: string | Post;
                                      relationTo: 'posts';
                                    };
                                url: string;
                                newTab?: boolean;
                                icon?: string | Media;
                              };
                              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                              id?: string;
                              blockName?: string;
                              blockType: 'button';
                            }[];
                            children?: {
                              title?: string;
                              id?: string;
                            }[];
                            image: string | Media;
                            marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                            id?: string;
                            blockName?: string;
                            blockType: 'sectionImage';
                          }
                        | {
                            items?: {
                              title: string;
                              description?: {
                                [k: string]: unknown;
                              }[];
                              id?: string;
                            }[];
                            marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                            id?: string;
                            blockName?: string;
                            blockType: 'timeline';
                          }
                        | {
                            items?: {
                              icon: string | Media;
                              title: string;
                              description?: {
                                [k: string]: unknown;
                              }[];
                              id?: string;
                            }[];
                            marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                            id?: string;
                            blockName?: string;
                            blockType: 'showcase';
                          }
                        | {
                            image: string | Media;
                            showCaption?: boolean;
                            caption: string;
                            marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                            id?: string;
                            blockName?: string;
                            blockType: 'image';
                          }
                      )[];
                      id?: string;
                      blockName?: string;
                      blockType: 'column';
                    }[];
                    marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                    id?: string;
                    blockName?: string;
                    blockType: 'columns';
                  }
                | {
                    marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                    id?: string;
                    blockName?: string;
                    blockType: 'contactForm';
                  }
                | {
                    marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                    id?: string;
                    blockName?: string;
                    blockType: 'contactSection';
                  }
                | {
                    type?: 'simple' | 'graphical';
                    marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                    id?: string;
                    blockName?: string;
                    blockType: 'divider';
                  }
                | {
                    questions?: {
                      title: string;
                      content: string;
                      id?: string;
                    }[];
                    marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                    id?: string;
                    blockName?: string;
                    blockType: 'faq';
                  }
                | {
                    items?: {
                      title: string;
                      description: string;
                      id?: string;
                    }[];
                    marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                    id?: string;
                    blockName?: string;
                    blockType: 'features';
                  }
                | {
                    images?: {
                      image: string | Media;
                      id?: string;
                    }[];
                    id?: string;
                    blockName?: string;
                    blockType: 'gallery';
                  }
                | {
                    text: string;
                    as?: 'p' | 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
                    type?: 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
                    color?: string;
                    marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                    id?: string;
                    blockName?: string;
                    blockType: 'heading';
                  }
                | {
                    children?: {
                      title?: string;
                      id?: string;
                    }[];
                    id?: string;
                    blockName?: string;
                    blockType: 'numberedList';
                  }
                | {
                    items?: {
                      icon: string | Media;
                      title: string;
                      description: string;
                      id?: string;
                    }[];
                    id?: string;
                    blockName?: string;
                    blockType: 'owlCarousel';
                  }
                | {
                    richText?: {
                      [k: string]: unknown;
                    }[];
                    links?: {
                      link?: {
                        type?: 'reference' | 'custom';
                        label: string;
                        reference:
                          | {
                              value: string | Page;
                              relationTo: 'pages';
                            }
                          | {
                              value: string | Post;
                              relationTo: 'posts';
                            };
                        url: string;
                        newTab?: boolean;
                        icon?: string | Media;
                      };
                      id?: string;
                    }[];
                    color?: string;
                    marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                    id?: string;
                    blockName?: string;
                    blockType: 'content';
                  }
                | {
                    buttons?: {
                      text: string;
                      icon?: string | Media;
                      style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
                      size?: 'sm' | 'base' | 'md' | 'lg';
                      variant?: 'primary' | 'secondary';
                      link?: {
                        type?: 'reference' | 'custom';
                        reference:
                          | {
                              value: string | Page;
                              relationTo: 'pages';
                            }
                          | {
                              value: string | Post;
                              relationTo: 'posts';
                            };
                        url: string;
                        newTab?: boolean;
                        icon?: string | Media;
                      };
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'button';
                    }[];
                    children?: {
                      title?: string;
                      id?: string;
                    }[];
                    image: string | Media;
                    marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                    id?: string;
                    blockName?: string;
                    blockType: 'sectionImage';
                  }
                | {
                    items?: {
                      title: string;
                      description?: {
                        [k: string]: unknown;
                      }[];
                      id?: string;
                    }[];
                    marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                    id?: string;
                    blockName?: string;
                    blockType: 'timeline';
                  }
                | {
                    layout: (
                      | {
                          perPage: number;
                          articles?: string[] | Post[];
                          category?: string[] | Category[];
                          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                          id?: string;
                          blockName?: string;
                          blockType: 'articles';
                        }
                      | {
                          layout: {
                            width?: '1/4' | '1/3' | '1/2' | '2/3' | '3/4';
                            layout: (
                              | {
                                  perPage: number;
                                  articles?: string[] | Post[];
                                  category?: string[] | Category[];
                                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                                  id?: string;
                                  blockName?: string;
                                  blockType: 'articles';
                                }
                              | {
                                  text: string;
                                  icon?: string | Media;
                                  style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
                                  size?: 'sm' | 'base' | 'md' | 'lg';
                                  variant?: 'primary' | 'secondary';
                                  link?: {
                                    type?: 'reference' | 'custom';
                                    reference:
                                      | {
                                          value: string | Page;
                                          relationTo: 'pages';
                                        }
                                      | {
                                          value: string | Post;
                                          relationTo: 'posts';
                                        };
                                    url: string;
                                    newTab?: boolean;
                                    icon?: string | Media;
                                  };
                                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                                  id?: string;
                                  blockName?: string;
                                  blockType: 'button';
                                }
                              | {
                                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                                  id?: string;
                                  blockName?: string;
                                  blockType: 'contactForm';
                                }
                              | {
                                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                                  id?: string;
                                  blockName?: string;
                                  blockType: 'contactSection';
                                }
                              | {
                                  type?: 'simple' | 'graphical';
                                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                                  id?: string;
                                  blockName?: string;
                                  blockType: 'divider';
                                }
                              | {
                                  questions?: {
                                    title: string;
                                    content: string;
                                    id?: string;
                                  }[];
                                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                                  id?: string;
                                  blockName?: string;
                                  blockType: 'faq';
                                }
                              | {
                                  items?: {
                                    title: string;
                                    description: string;
                                    id?: string;
                                  }[];
                                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                                  id?: string;
                                  blockName?: string;
                                  blockType: 'features';
                                }
                              | {
                                  images?: {
                                    image: string | Media;
                                    id?: string;
                                  }[];
                                  id?: string;
                                  blockName?: string;
                                  blockType: 'gallery';
                                }
                              | {
                                  text: string;
                                  as?: 'p' | 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
                                  type?: 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
                                  color?: string;
                                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                                  id?: string;
                                  blockName?: string;
                                  blockType: 'heading';
                                }
                              | {
                                  children?: {
                                    title?: string;
                                    id?: string;
                                  }[];
                                  id?: string;
                                  blockName?: string;
                                  blockType: 'numberedList';
                                }
                              | {
                                  items?: {
                                    icon: string | Media;
                                    title: string;
                                    description: string;
                                    id?: string;
                                  }[];
                                  id?: string;
                                  blockName?: string;
                                  blockType: 'owlCarousel';
                                }
                              | {
                                  richText?: {
                                    [k: string]: unknown;
                                  }[];
                                  links?: {
                                    link?: {
                                      type?: 'reference' | 'custom';
                                      label: string;
                                      reference:
                                        | {
                                            value: string | Page;
                                            relationTo: 'pages';
                                          }
                                        | {
                                            value: string | Post;
                                            relationTo: 'posts';
                                          };
                                      url: string;
                                      newTab?: boolean;
                                      icon?: string | Media;
                                    };
                                    id?: string;
                                  }[];
                                  color?: string;
                                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                                  id?: string;
                                  blockName?: string;
                                  blockType: 'content';
                                }
                              | {
                                  buttons?: {
                                    text: string;
                                    icon?: string | Media;
                                    style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
                                    size?: 'sm' | 'base' | 'md' | 'lg';
                                    variant?: 'primary' | 'secondary';
                                    link?: {
                                      type?: 'reference' | 'custom';
                                      reference:
                                        | {
                                            value: string | Page;
                                            relationTo: 'pages';
                                          }
                                        | {
                                            value: string | Post;
                                            relationTo: 'posts';
                                          };
                                      url: string;
                                      newTab?: boolean;
                                      icon?: string | Media;
                                    };
                                    marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                                    id?: string;
                                    blockName?: string;
                                    blockType: 'button';
                                  }[];
                                  children?: {
                                    title?: string;
                                    id?: string;
                                  }[];
                                  image: string | Media;
                                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                                  id?: string;
                                  blockName?: string;
                                  blockType: 'sectionImage';
                                }
                              | {
                                  items?: {
                                    title: string;
                                    description?: {
                                      [k: string]: unknown;
                                    }[];
                                    id?: string;
                                  }[];
                                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                                  id?: string;
                                  blockName?: string;
                                  blockType: 'timeline';
                                }
                              | {
                                  items?: {
                                    icon: string | Media;
                                    title: string;
                                    description?: {
                                      [k: string]: unknown;
                                    }[];
                                    id?: string;
                                  }[];
                                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                                  id?: string;
                                  blockName?: string;
                                  blockType: 'showcase';
                                }
                              | {
                                  image: string | Media;
                                  showCaption?: boolean;
                                  caption: string;
                                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                                  id?: string;
                                  blockName?: string;
                                  blockType: 'image';
                                }
                            )[];
                            id?: string;
                            blockName?: string;
                            blockType: 'column';
                          }[];
                          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                          id?: string;
                          blockName?: string;
                          blockType: 'columns';
                        }
                      | {
                          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                          id?: string;
                          blockName?: string;
                          blockType: 'contactForm';
                        }
                      | {
                          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                          id?: string;
                          blockName?: string;
                          blockType: 'contactSection';
                        }
                      | {
                          type?: 'simple' | 'graphical';
                          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                          id?: string;
                          blockName?: string;
                          blockType: 'divider';
                        }
                      | {
                          questions?: {
                            title: string;
                            content: string;
                            id?: string;
                          }[];
                          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                          id?: string;
                          blockName?: string;
                          blockType: 'faq';
                        }
                      | {
                          items?: {
                            title: string;
                            description: string;
                            id?: string;
                          }[];
                          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                          id?: string;
                          blockName?: string;
                          blockType: 'features';
                        }
                      | {
                          images?: {
                            image: string | Media;
                            id?: string;
                          }[];
                          id?: string;
                          blockName?: string;
                          blockType: 'gallery';
                        }
                      | {
                          text: string;
                          as?: 'p' | 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
                          type?: 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
                          color?: string;
                          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                          id?: string;
                          blockName?: string;
                          blockType: 'heading';
                        }
                      | {
                          children?: {
                            title?: string;
                            id?: string;
                          }[];
                          id?: string;
                          blockName?: string;
                          blockType: 'numberedList';
                        }
                      | {
                          items?: {
                            icon: string | Media;
                            title: string;
                            description: string;
                            id?: string;
                          }[];
                          id?: string;
                          blockName?: string;
                          blockType: 'owlCarousel';
                        }
                      | {
                          richText?: {
                            [k: string]: unknown;
                          }[];
                          links?: {
                            link?: {
                              type?: 'reference' | 'custom';
                              label: string;
                              reference:
                                | {
                                    value: string | Page;
                                    relationTo: 'pages';
                                  }
                                | {
                                    value: string | Post;
                                    relationTo: 'posts';
                                  };
                              url: string;
                              newTab?: boolean;
                              icon?: string | Media;
                            };
                            id?: string;
                          }[];
                          color?: string;
                          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                          id?: string;
                          blockName?: string;
                          blockType: 'content';
                        }
                      | {
                          buttons?: {
                            text: string;
                            icon?: string | Media;
                            style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
                            size?: 'sm' | 'base' | 'md' | 'lg';
                            variant?: 'primary' | 'secondary';
                            link?: {
                              type?: 'reference' | 'custom';
                              reference:
                                | {
                                    value: string | Page;
                                    relationTo: 'pages';
                                  }
                                | {
                                    value: string | Post;
                                    relationTo: 'posts';
                                  };
                              url: string;
                              newTab?: boolean;
                              icon?: string | Media;
                            };
                            marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                            id?: string;
                            blockName?: string;
                            blockType: 'button';
                          }[];
                          children?: {
                            title?: string;
                            id?: string;
                          }[];
                          image: string | Media;
                          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                          id?: string;
                          blockName?: string;
                          blockType: 'sectionImage';
                        }
                      | {
                          items?: {
                            title: string;
                            description?: {
                              [k: string]: unknown;
                            }[];
                            id?: string;
                          }[];
                          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                          id?: string;
                          blockName?: string;
                          blockType: 'timeline';
                        }
                    )[];
                    object: (
                      | {
                          perPage: number;
                          articles?: string[] | Post[];
                          category?: string[] | Category[];
                          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                          id?: string;
                          blockName?: string;
                          blockType: 'articles';
                        }
                      | {
                          layout: {
                            width?: '1/4' | '1/3' | '1/2' | '2/3' | '3/4';
                            layout: (
                              | {
                                  perPage: number;
                                  articles?: string[] | Post[];
                                  category?: string[] | Category[];
                                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                                  id?: string;
                                  blockName?: string;
                                  blockType: 'articles';
                                }
                              | {
                                  text: string;
                                  icon?: string | Media;
                                  style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
                                  size?: 'sm' | 'base' | 'md' | 'lg';
                                  variant?: 'primary' | 'secondary';
                                  link?: {
                                    type?: 'reference' | 'custom';
                                    reference:
                                      | {
                                          value: string | Page;
                                          relationTo: 'pages';
                                        }
                                      | {
                                          value: string | Post;
                                          relationTo: 'posts';
                                        };
                                    url: string;
                                    newTab?: boolean;
                                    icon?: string | Media;
                                  };
                                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                                  id?: string;
                                  blockName?: string;
                                  blockType: 'button';
                                }
                              | {
                                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                                  id?: string;
                                  blockName?: string;
                                  blockType: 'contactForm';
                                }
                              | {
                                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                                  id?: string;
                                  blockName?: string;
                                  blockType: 'contactSection';
                                }
                              | {
                                  type?: 'simple' | 'graphical';
                                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                                  id?: string;
                                  blockName?: string;
                                  blockType: 'divider';
                                }
                              | {
                                  questions?: {
                                    title: string;
                                    content: string;
                                    id?: string;
                                  }[];
                                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                                  id?: string;
                                  blockName?: string;
                                  blockType: 'faq';
                                }
                              | {
                                  items?: {
                                    title: string;
                                    description: string;
                                    id?: string;
                                  }[];
                                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                                  id?: string;
                                  blockName?: string;
                                  blockType: 'features';
                                }
                              | {
                                  images?: {
                                    image: string | Media;
                                    id?: string;
                                  }[];
                                  id?: string;
                                  blockName?: string;
                                  blockType: 'gallery';
                                }
                              | {
                                  text: string;
                                  as?: 'p' | 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
                                  type?: 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
                                  color?: string;
                                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                                  id?: string;
                                  blockName?: string;
                                  blockType: 'heading';
                                }
                              | {
                                  children?: {
                                    title?: string;
                                    id?: string;
                                  }[];
                                  id?: string;
                                  blockName?: string;
                                  blockType: 'numberedList';
                                }
                              | {
                                  items?: {
                                    icon: string | Media;
                                    title: string;
                                    description: string;
                                    id?: string;
                                  }[];
                                  id?: string;
                                  blockName?: string;
                                  blockType: 'owlCarousel';
                                }
                              | {
                                  richText?: {
                                    [k: string]: unknown;
                                  }[];
                                  links?: {
                                    link?: {
                                      type?: 'reference' | 'custom';
                                      label: string;
                                      reference:
                                        | {
                                            value: string | Page;
                                            relationTo: 'pages';
                                          }
                                        | {
                                            value: string | Post;
                                            relationTo: 'posts';
                                          };
                                      url: string;
                                      newTab?: boolean;
                                      icon?: string | Media;
                                    };
                                    id?: string;
                                  }[];
                                  color?: string;
                                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                                  id?: string;
                                  blockName?: string;
                                  blockType: 'content';
                                }
                              | {
                                  buttons?: {
                                    text: string;
                                    icon?: string | Media;
                                    style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
                                    size?: 'sm' | 'base' | 'md' | 'lg';
                                    variant?: 'primary' | 'secondary';
                                    link?: {
                                      type?: 'reference' | 'custom';
                                      reference:
                                        | {
                                            value: string | Page;
                                            relationTo: 'pages';
                                          }
                                        | {
                                            value: string | Post;
                                            relationTo: 'posts';
                                          };
                                      url: string;
                                      newTab?: boolean;
                                      icon?: string | Media;
                                    };
                                    marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                                    id?: string;
                                    blockName?: string;
                                    blockType: 'button';
                                  }[];
                                  children?: {
                                    title?: string;
                                    id?: string;
                                  }[];
                                  image: string | Media;
                                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                                  id?: string;
                                  blockName?: string;
                                  blockType: 'sectionImage';
                                }
                              | {
                                  items?: {
                                    title: string;
                                    description?: {
                                      [k: string]: unknown;
                                    }[];
                                    id?: string;
                                  }[];
                                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                                  id?: string;
                                  blockName?: string;
                                  blockType: 'timeline';
                                }
                              | {
                                  items?: {
                                    icon: string | Media;
                                    title: string;
                                    description?: {
                                      [k: string]: unknown;
                                    }[];
                                    id?: string;
                                  }[];
                                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                                  id?: string;
                                  blockName?: string;
                                  blockType: 'showcase';
                                }
                              | {
                                  image: string | Media;
                                  showCaption?: boolean;
                                  caption: string;
                                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                                  id?: string;
                                  blockName?: string;
                                  blockType: 'image';
                                }
                            )[];
                            id?: string;
                            blockName?: string;
                            blockType: 'column';
                          }[];
                          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                          id?: string;
                          blockName?: string;
                          blockType: 'columns';
                        }
                      | {
                          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                          id?: string;
                          blockName?: string;
                          blockType: 'contactForm';
                        }
                      | {
                          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                          id?: string;
                          blockName?: string;
                          blockType: 'contactSection';
                        }
                      | {
                          type?: 'simple' | 'graphical';
                          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                          id?: string;
                          blockName?: string;
                          blockType: 'divider';
                        }
                      | {
                          questions?: {
                            title: string;
                            content: string;
                            id?: string;
                          }[];
                          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                          id?: string;
                          blockName?: string;
                          blockType: 'faq';
                        }
                      | {
                          items?: {
                            title: string;
                            description: string;
                            id?: string;
                          }[];
                          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                          id?: string;
                          blockName?: string;
                          blockType: 'features';
                        }
                      | {
                          images?: {
                            image: string | Media;
                            id?: string;
                          }[];
                          id?: string;
                          blockName?: string;
                          blockType: 'gallery';
                        }
                      | {
                          text: string;
                          as?: 'p' | 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
                          type?: 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
                          color?: string;
                          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                          id?: string;
                          blockName?: string;
                          blockType: 'heading';
                        }
                      | {
                          children?: {
                            title?: string;
                            id?: string;
                          }[];
                          id?: string;
                          blockName?: string;
                          blockType: 'numberedList';
                        }
                      | {
                          items?: {
                            icon: string | Media;
                            title: string;
                            description: string;
                            id?: string;
                          }[];
                          id?: string;
                          blockName?: string;
                          blockType: 'owlCarousel';
                        }
                      | {
                          richText?: {
                            [k: string]: unknown;
                          }[];
                          links?: {
                            link?: {
                              type?: 'reference' | 'custom';
                              label: string;
                              reference:
                                | {
                                    value: string | Page;
                                    relationTo: 'pages';
                                  }
                                | {
                                    value: string | Post;
                                    relationTo: 'posts';
                                  };
                              url: string;
                              newTab?: boolean;
                              icon?: string | Media;
                            };
                            id?: string;
                          }[];
                          color?: string;
                          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                          id?: string;
                          blockName?: string;
                          blockType: 'content';
                        }
                      | {
                          buttons?: {
                            text: string;
                            icon?: string | Media;
                            style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
                            size?: 'sm' | 'base' | 'md' | 'lg';
                            variant?: 'primary' | 'secondary';
                            link?: {
                              type?: 'reference' | 'custom';
                              reference:
                                | {
                                    value: string | Page;
                                    relationTo: 'pages';
                                  }
                                | {
                                    value: string | Post;
                                    relationTo: 'posts';
                                  };
                              url: string;
                              newTab?: boolean;
                              icon?: string | Media;
                            };
                            marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                            id?: string;
                            blockName?: string;
                            blockType: 'button';
                          }[];
                          children?: {
                            title?: string;
                            id?: string;
                          }[];
                          image: string | Media;
                          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                          id?: string;
                          blockName?: string;
                          blockType: 'sectionImage';
                        }
                      | {
                          items?: {
                            title: string;
                            description?: {
                              [k: string]: unknown;
                            }[];
                            id?: string;
                          }[];
                          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                          id?: string;
                          blockName?: string;
                          blockType: 'timeline';
                        }
                    )[];
                    marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                    id?: string;
                    blockName?: string;
                    blockType: 'bottomOverflow';
                  }
              )[];
              id?: string;
              blockName?: string;
              blockType: 'container';
            }
          | {
              items?: {
                icon: string | Media;
                title: string;
                description?: {
                  [k: string]: unknown;
                }[];
                id?: string;
              }[];
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'showcase';
            }
          | {
              image: string | Media;
              showCaption?: boolean;
              caption: string;
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'image';
            }
          | {
              employees?: string[] | Employee[];
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'employeesBlock';
            }
        )[];
        marginTop?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
        marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
        id?: string;
        blockName?: string;
        blockType: 'container';
      }
    | {
        text: string;
        icon?: string | Media;
        style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
        size?: 'sm' | 'base' | 'md' | 'lg';
        variant?: 'primary' | 'secondary';
        link?: {
          type?: 'reference' | 'custom';
          reference:
            | {
                value: string | Page;
                relationTo: 'pages';
              }
            | {
                value: string | Post;
                relationTo: 'posts';
              };
          url: string;
          newTab?: boolean;
          icon?: string | Media;
        };
        marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
        id?: string;
        blockName?: string;
        blockType: 'button';
      }
    | {
        showNavigation?: boolean;
        showLogo?: boolean;
        subtitle: string;
        items?: {
          title?: string;
          id?: string;
        }[];
        layout: {
          text: string;
          icon?: string | Media;
          style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
          size?: 'sm' | 'base' | 'md' | 'lg';
          variant?: 'primary' | 'secondary';
          link?: {
            type?: 'reference' | 'custom';
            reference:
              | {
                  value: string | Page;
                  relationTo: 'pages';
                }
              | {
                  value: string | Post;
                  relationTo: 'posts';
                };
            url: string;
            newTab?: boolean;
            icon?: string | Media;
          };
          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
          id?: string;
          blockName?: string;
          blockType: 'button';
        }[];
        id?: string;
        blockName?: string;
        blockType: 'hero';
      }
    | {
        layout: (
          | {
              perPage: number;
              articles?: string[] | Post[];
              category?: string[] | Category[];
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'articles';
            }
          | {
              layout: {
                width?: '1/4' | '1/3' | '1/2' | '2/3' | '3/4';
                layout: (
                  | {
                      perPage: number;
                      articles?: string[] | Post[];
                      category?: string[] | Category[];
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'articles';
                    }
                  | {
                      text: string;
                      icon?: string | Media;
                      style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
                      size?: 'sm' | 'base' | 'md' | 'lg';
                      variant?: 'primary' | 'secondary';
                      link?: {
                        type?: 'reference' | 'custom';
                        reference:
                          | {
                              value: string | Page;
                              relationTo: 'pages';
                            }
                          | {
                              value: string | Post;
                              relationTo: 'posts';
                            };
                        url: string;
                        newTab?: boolean;
                        icon?: string | Media;
                      };
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'button';
                    }
                  | {
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'contactForm';
                    }
                  | {
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'contactSection';
                    }
                  | {
                      type?: 'simple' | 'graphical';
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'divider';
                    }
                  | {
                      questions?: {
                        title: string;
                        content: string;
                        id?: string;
                      }[];
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'faq';
                    }
                  | {
                      items?: {
                        title: string;
                        description: string;
                        id?: string;
                      }[];
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'features';
                    }
                  | {
                      images?: {
                        image: string | Media;
                        id?: string;
                      }[];
                      id?: string;
                      blockName?: string;
                      blockType: 'gallery';
                    }
                  | {
                      text: string;
                      as?: 'p' | 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
                      type?: 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
                      color?: string;
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'heading';
                    }
                  | {
                      children?: {
                        title?: string;
                        id?: string;
                      }[];
                      id?: string;
                      blockName?: string;
                      blockType: 'numberedList';
                    }
                  | {
                      items?: {
                        icon: string | Media;
                        title: string;
                        description: string;
                        id?: string;
                      }[];
                      id?: string;
                      blockName?: string;
                      blockType: 'owlCarousel';
                    }
                  | {
                      richText?: {
                        [k: string]: unknown;
                      }[];
                      links?: {
                        link?: {
                          type?: 'reference' | 'custom';
                          label: string;
                          reference:
                            | {
                                value: string | Page;
                                relationTo: 'pages';
                              }
                            | {
                                value: string | Post;
                                relationTo: 'posts';
                              };
                          url: string;
                          newTab?: boolean;
                          icon?: string | Media;
                        };
                        id?: string;
                      }[];
                      color?: string;
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'content';
                    }
                  | {
                      buttons?: {
                        text: string;
                        icon?: string | Media;
                        style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
                        size?: 'sm' | 'base' | 'md' | 'lg';
                        variant?: 'primary' | 'secondary';
                        link?: {
                          type?: 'reference' | 'custom';
                          reference:
                            | {
                                value: string | Page;
                                relationTo: 'pages';
                              }
                            | {
                                value: string | Post;
                                relationTo: 'posts';
                              };
                          url: string;
                          newTab?: boolean;
                          icon?: string | Media;
                        };
                        marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                        id?: string;
                        blockName?: string;
                        blockType: 'button';
                      }[];
                      children?: {
                        title?: string;
                        id?: string;
                      }[];
                      image: string | Media;
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'sectionImage';
                    }
                  | {
                      items?: {
                        title: string;
                        description?: {
                          [k: string]: unknown;
                        }[];
                        id?: string;
                      }[];
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'timeline';
                    }
                  | {
                      items?: {
                        icon: string | Media;
                        title: string;
                        description?: {
                          [k: string]: unknown;
                        }[];
                        id?: string;
                      }[];
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'showcase';
                    }
                  | {
                      image: string | Media;
                      showCaption?: boolean;
                      caption: string;
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'image';
                    }
                )[];
                id?: string;
                blockName?: string;
                blockType: 'column';
              }[];
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'columns';
            }
          | {
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'contactForm';
            }
          | {
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'contactSection';
            }
          | {
              type?: 'simple' | 'graphical';
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'divider';
            }
          | {
              questions?: {
                title: string;
                content: string;
                id?: string;
              }[];
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'faq';
            }
          | {
              items?: {
                title: string;
                description: string;
                id?: string;
              }[];
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'features';
            }
          | {
              images?: {
                image: string | Media;
                id?: string;
              }[];
              id?: string;
              blockName?: string;
              blockType: 'gallery';
            }
          | {
              text: string;
              as?: 'p' | 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
              type?: 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
              color?: string;
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'heading';
            }
          | {
              children?: {
                title?: string;
                id?: string;
              }[];
              id?: string;
              blockName?: string;
              blockType: 'numberedList';
            }
          | {
              items?: {
                icon: string | Media;
                title: string;
                description: string;
                id?: string;
              }[];
              id?: string;
              blockName?: string;
              blockType: 'owlCarousel';
            }
          | {
              richText?: {
                [k: string]: unknown;
              }[];
              links?: {
                link?: {
                  type?: 'reference' | 'custom';
                  label: string;
                  reference:
                    | {
                        value: string | Page;
                        relationTo: 'pages';
                      }
                    | {
                        value: string | Post;
                        relationTo: 'posts';
                      };
                  url: string;
                  newTab?: boolean;
                  icon?: string | Media;
                };
                id?: string;
              }[];
              color?: string;
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'content';
            }
          | {
              buttons?: {
                text: string;
                icon?: string | Media;
                style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
                size?: 'sm' | 'base' | 'md' | 'lg';
                variant?: 'primary' | 'secondary';
                link?: {
                  type?: 'reference' | 'custom';
                  reference:
                    | {
                        value: string | Page;
                        relationTo: 'pages';
                      }
                    | {
                        value: string | Post;
                        relationTo: 'posts';
                      };
                  url: string;
                  newTab?: boolean;
                  icon?: string | Media;
                };
                marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                id?: string;
                blockName?: string;
                blockType: 'button';
              }[];
              children?: {
                title?: string;
                id?: string;
              }[];
              image: string | Media;
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'sectionImage';
            }
          | {
              items?: {
                title: string;
                description?: {
                  [k: string]: unknown;
                }[];
                id?: string;
              }[];
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'timeline';
            }
        )[];
        object: (
          | {
              perPage: number;
              articles?: string[] | Post[];
              category?: string[] | Category[];
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'articles';
            }
          | {
              layout: {
                width?: '1/4' | '1/3' | '1/2' | '2/3' | '3/4';
                layout: (
                  | {
                      perPage: number;
                      articles?: string[] | Post[];
                      category?: string[] | Category[];
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'articles';
                    }
                  | {
                      text: string;
                      icon?: string | Media;
                      style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
                      size?: 'sm' | 'base' | 'md' | 'lg';
                      variant?: 'primary' | 'secondary';
                      link?: {
                        type?: 'reference' | 'custom';
                        reference:
                          | {
                              value: string | Page;
                              relationTo: 'pages';
                            }
                          | {
                              value: string | Post;
                              relationTo: 'posts';
                            };
                        url: string;
                        newTab?: boolean;
                        icon?: string | Media;
                      };
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'button';
                    }
                  | {
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'contactForm';
                    }
                  | {
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'contactSection';
                    }
                  | {
                      type?: 'simple' | 'graphical';
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'divider';
                    }
                  | {
                      questions?: {
                        title: string;
                        content: string;
                        id?: string;
                      }[];
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'faq';
                    }
                  | {
                      items?: {
                        title: string;
                        description: string;
                        id?: string;
                      }[];
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'features';
                    }
                  | {
                      images?: {
                        image: string | Media;
                        id?: string;
                      }[];
                      id?: string;
                      blockName?: string;
                      blockType: 'gallery';
                    }
                  | {
                      text: string;
                      as?: 'p' | 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
                      type?: 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
                      color?: string;
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'heading';
                    }
                  | {
                      children?: {
                        title?: string;
                        id?: string;
                      }[];
                      id?: string;
                      blockName?: string;
                      blockType: 'numberedList';
                    }
                  | {
                      items?: {
                        icon: string | Media;
                        title: string;
                        description: string;
                        id?: string;
                      }[];
                      id?: string;
                      blockName?: string;
                      blockType: 'owlCarousel';
                    }
                  | {
                      richText?: {
                        [k: string]: unknown;
                      }[];
                      links?: {
                        link?: {
                          type?: 'reference' | 'custom';
                          label: string;
                          reference:
                            | {
                                value: string | Page;
                                relationTo: 'pages';
                              }
                            | {
                                value: string | Post;
                                relationTo: 'posts';
                              };
                          url: string;
                          newTab?: boolean;
                          icon?: string | Media;
                        };
                        id?: string;
                      }[];
                      color?: string;
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'content';
                    }
                  | {
                      buttons?: {
                        text: string;
                        icon?: string | Media;
                        style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
                        size?: 'sm' | 'base' | 'md' | 'lg';
                        variant?: 'primary' | 'secondary';
                        link?: {
                          type?: 'reference' | 'custom';
                          reference:
                            | {
                                value: string | Page;
                                relationTo: 'pages';
                              }
                            | {
                                value: string | Post;
                                relationTo: 'posts';
                              };
                          url: string;
                          newTab?: boolean;
                          icon?: string | Media;
                        };
                        marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                        id?: string;
                        blockName?: string;
                        blockType: 'button';
                      }[];
                      children?: {
                        title?: string;
                        id?: string;
                      }[];
                      image: string | Media;
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'sectionImage';
                    }
                  | {
                      items?: {
                        title: string;
                        description?: {
                          [k: string]: unknown;
                        }[];
                        id?: string;
                      }[];
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'timeline';
                    }
                  | {
                      items?: {
                        icon: string | Media;
                        title: string;
                        description?: {
                          [k: string]: unknown;
                        }[];
                        id?: string;
                      }[];
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'showcase';
                    }
                  | {
                      image: string | Media;
                      showCaption?: boolean;
                      caption: string;
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'image';
                    }
                )[];
                id?: string;
                blockName?: string;
                blockType: 'column';
              }[];
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'columns';
            }
          | {
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'contactForm';
            }
          | {
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'contactSection';
            }
          | {
              type?: 'simple' | 'graphical';
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'divider';
            }
          | {
              questions?: {
                title: string;
                content: string;
                id?: string;
              }[];
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'faq';
            }
          | {
              items?: {
                title: string;
                description: string;
                id?: string;
              }[];
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'features';
            }
          | {
              images?: {
                image: string | Media;
                id?: string;
              }[];
              id?: string;
              blockName?: string;
              blockType: 'gallery';
            }
          | {
              text: string;
              as?: 'p' | 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
              type?: 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
              color?: string;
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'heading';
            }
          | {
              children?: {
                title?: string;
                id?: string;
              }[];
              id?: string;
              blockName?: string;
              blockType: 'numberedList';
            }
          | {
              items?: {
                icon: string | Media;
                title: string;
                description: string;
                id?: string;
              }[];
              id?: string;
              blockName?: string;
              blockType: 'owlCarousel';
            }
          | {
              richText?: {
                [k: string]: unknown;
              }[];
              links?: {
                link?: {
                  type?: 'reference' | 'custom';
                  label: string;
                  reference:
                    | {
                        value: string | Page;
                        relationTo: 'pages';
                      }
                    | {
                        value: string | Post;
                        relationTo: 'posts';
                      };
                  url: string;
                  newTab?: boolean;
                  icon?: string | Media;
                };
                id?: string;
              }[];
              color?: string;
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'content';
            }
          | {
              buttons?: {
                text: string;
                icon?: string | Media;
                style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
                size?: 'sm' | 'base' | 'md' | 'lg';
                variant?: 'primary' | 'secondary';
                link?: {
                  type?: 'reference' | 'custom';
                  reference:
                    | {
                        value: string | Page;
                        relationTo: 'pages';
                      }
                    | {
                        value: string | Post;
                        relationTo: 'posts';
                      };
                  url: string;
                  newTab?: boolean;
                  icon?: string | Media;
                };
                marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                id?: string;
                blockName?: string;
                blockType: 'button';
              }[];
              children?: {
                title?: string;
                id?: string;
              }[];
              image: string | Media;
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'sectionImage';
            }
          | {
              items?: {
                title: string;
                description?: {
                  [k: string]: unknown;
                }[];
                id?: string;
              }[];
              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
              id?: string;
              blockName?: string;
              blockType: 'timeline';
            }
        )[];
        marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
        id?: string;
        blockName?: string;
        blockType: 'bottomOverflow';
      }
  )[];
  slug: string;
  meta?: {
    title?: string;
    description?: string;
  };
  _status?: 'draft' | 'published';
  createdAt: string;
  updatedAt: string;
}
export interface Post {
  id: string;
  title: string;
  image: string | Media;
  excerpt: string;
  category?: string[] | Category[];
  content: {
    width?: 'default' | 'extended' | 'full';
    paddingY?: 'none' | 'sm' | 'md' | 'lg' | 'xl';
    color?: string;
    layout: (
      | {
          perPage: number;
          articles?: string[] | Post[];
          category?: string[] | Category[];
          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
          id?: string;
          blockName?: string;
          blockType: 'articles';
        }
      | {
          text: string;
          icon?: string | Media;
          style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
          size?: 'sm' | 'base' | 'md' | 'lg';
          variant?: 'primary' | 'secondary';
          link?: {
            type?: 'reference' | 'custom';
            reference:
              | {
                  value: string | Page;
                  relationTo: 'pages';
                }
              | {
                  value: string | Post;
                  relationTo: 'posts';
                };
            url: string;
            newTab?: boolean;
            icon?: string | Media;
          };
          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
          id?: string;
          blockName?: string;
          blockType: 'button';
        }
      | {
          layout: {
            width?: '1/4' | '1/3' | '1/2' | '2/3' | '3/4';
            layout: (
              | {
                  perPage: number;
                  articles?: string[] | Post[];
                  category?: string[] | Category[];
                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                  id?: string;
                  blockName?: string;
                  blockType: 'articles';
                }
              | {
                  text: string;
                  icon?: string | Media;
                  style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
                  size?: 'sm' | 'base' | 'md' | 'lg';
                  variant?: 'primary' | 'secondary';
                  link?: {
                    type?: 'reference' | 'custom';
                    reference:
                      | {
                          value: string | Page;
                          relationTo: 'pages';
                        }
                      | {
                          value: string | Post;
                          relationTo: 'posts';
                        };
                    url: string;
                    newTab?: boolean;
                    icon?: string | Media;
                  };
                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                  id?: string;
                  blockName?: string;
                  blockType: 'button';
                }
              | {
                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                  id?: string;
                  blockName?: string;
                  blockType: 'contactForm';
                }
              | {
                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                  id?: string;
                  blockName?: string;
                  blockType: 'contactSection';
                }
              | {
                  type?: 'simple' | 'graphical';
                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                  id?: string;
                  blockName?: string;
                  blockType: 'divider';
                }
              | {
                  questions?: {
                    title: string;
                    content: string;
                    id?: string;
                  }[];
                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                  id?: string;
                  blockName?: string;
                  blockType: 'faq';
                }
              | {
                  items?: {
                    title: string;
                    description: string;
                    id?: string;
                  }[];
                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                  id?: string;
                  blockName?: string;
                  blockType: 'features';
                }
              | {
                  images?: {
                    image: string | Media;
                    id?: string;
                  }[];
                  id?: string;
                  blockName?: string;
                  blockType: 'gallery';
                }
              | {
                  text: string;
                  as?: 'p' | 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
                  type?: 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
                  color?: string;
                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                  id?: string;
                  blockName?: string;
                  blockType: 'heading';
                }
              | {
                  children?: {
                    title?: string;
                    id?: string;
                  }[];
                  id?: string;
                  blockName?: string;
                  blockType: 'numberedList';
                }
              | {
                  items?: {
                    icon: string | Media;
                    title: string;
                    description: string;
                    id?: string;
                  }[];
                  id?: string;
                  blockName?: string;
                  blockType: 'owlCarousel';
                }
              | {
                  richText?: {
                    [k: string]: unknown;
                  }[];
                  links?: {
                    link?: {
                      type?: 'reference' | 'custom';
                      label: string;
                      reference:
                        | {
                            value: string | Page;
                            relationTo: 'pages';
                          }
                        | {
                            value: string | Post;
                            relationTo: 'posts';
                          };
                      url: string;
                      newTab?: boolean;
                      icon?: string | Media;
                    };
                    id?: string;
                  }[];
                  color?: string;
                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                  id?: string;
                  blockName?: string;
                  blockType: 'content';
                }
              | {
                  buttons?: {
                    text: string;
                    icon?: string | Media;
                    style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
                    size?: 'sm' | 'base' | 'md' | 'lg';
                    variant?: 'primary' | 'secondary';
                    link?: {
                      type?: 'reference' | 'custom';
                      reference:
                        | {
                            value: string | Page;
                            relationTo: 'pages';
                          }
                        | {
                            value: string | Post;
                            relationTo: 'posts';
                          };
                      url: string;
                      newTab?: boolean;
                      icon?: string | Media;
                    };
                    marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                    id?: string;
                    blockName?: string;
                    blockType: 'button';
                  }[];
                  children?: {
                    title?: string;
                    id?: string;
                  }[];
                  image: string | Media;
                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                  id?: string;
                  blockName?: string;
                  blockType: 'sectionImage';
                }
              | {
                  items?: {
                    title: string;
                    description?: {
                      [k: string]: unknown;
                    }[];
                    id?: string;
                  }[];
                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                  id?: string;
                  blockName?: string;
                  blockType: 'timeline';
                }
              | {
                  items?: {
                    icon: string | Media;
                    title: string;
                    description?: {
                      [k: string]: unknown;
                    }[];
                    id?: string;
                  }[];
                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                  id?: string;
                  blockName?: string;
                  blockType: 'showcase';
                }
              | {
                  image: string | Media;
                  showCaption?: boolean;
                  caption: string;
                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                  id?: string;
                  blockName?: string;
                  blockType: 'image';
                }
            )[];
            id?: string;
            blockName?: string;
            blockType: 'column';
          }[];
          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
          id?: string;
          blockName?: string;
          blockType: 'columns';
        }
      | {
          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
          id?: string;
          blockName?: string;
          blockType: 'contactForm';
        }
      | {
          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
          id?: string;
          blockName?: string;
          blockType: 'contactSection';
        }
      | {
          type?: 'simple' | 'graphical';
          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
          id?: string;
          blockName?: string;
          blockType: 'divider';
        }
      | {
          questions?: {
            title: string;
            content: string;
            id?: string;
          }[];
          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
          id?: string;
          blockName?: string;
          blockType: 'faq';
        }
      | {
          items?: {
            title: string;
            description: string;
            id?: string;
          }[];
          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
          id?: string;
          blockName?: string;
          blockType: 'features';
        }
      | {
          images?: {
            image: string | Media;
            id?: string;
          }[];
          id?: string;
          blockName?: string;
          blockType: 'gallery';
        }
      | {
          text: string;
          as?: 'p' | 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
          type?: 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
          color?: string;
          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
          id?: string;
          blockName?: string;
          blockType: 'heading';
        }
      | {
          children?: {
            title?: string;
            id?: string;
          }[];
          id?: string;
          blockName?: string;
          blockType: 'numberedList';
        }
      | {
          items?: {
            icon: string | Media;
            title: string;
            description: string;
            id?: string;
          }[];
          id?: string;
          blockName?: string;
          blockType: 'owlCarousel';
        }
      | {
          richText?: {
            [k: string]: unknown;
          }[];
          links?: {
            link?: {
              type?: 'reference' | 'custom';
              label: string;
              reference:
                | {
                    value: string | Page;
                    relationTo: 'pages';
                  }
                | {
                    value: string | Post;
                    relationTo: 'posts';
                  };
              url: string;
              newTab?: boolean;
              icon?: string | Media;
            };
            id?: string;
          }[];
          color?: string;
          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
          id?: string;
          blockName?: string;
          blockType: 'content';
        }
      | {
          buttons?: {
            text: string;
            icon?: string | Media;
            style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
            size?: 'sm' | 'base' | 'md' | 'lg';
            variant?: 'primary' | 'secondary';
            link?: {
              type?: 'reference' | 'custom';
              reference:
                | {
                    value: string | Page;
                    relationTo: 'pages';
                  }
                | {
                    value: string | Post;
                    relationTo: 'posts';
                  };
              url: string;
              newTab?: boolean;
              icon?: string | Media;
            };
            marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
            id?: string;
            blockName?: string;
            blockType: 'button';
          }[];
          children?: {
            title?: string;
            id?: string;
          }[];
          image: string | Media;
          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
          id?: string;
          blockName?: string;
          blockType: 'sectionImage';
        }
      | {
          items?: {
            title: string;
            description?: {
              [k: string]: unknown;
            }[];
            id?: string;
          }[];
          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
          id?: string;
          blockName?: string;
          blockType: 'timeline';
        }
      | {
          width?: 'default' | 'extended' | 'full';
          paddingY?: 'none' | 'sm' | 'md' | 'lg' | 'xl';
          color?: string;
          layout: (
            | {
                perPage: number;
                articles?: string[] | Post[];
                category?: string[] | Category[];
                marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                id?: string;
                blockName?: string;
                blockType: 'articles';
              }
            | {
                text: string;
                icon?: string | Media;
                style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
                size?: 'sm' | 'base' | 'md' | 'lg';
                variant?: 'primary' | 'secondary';
                link?: {
                  type?: 'reference' | 'custom';
                  reference:
                    | {
                        value: string | Page;
                        relationTo: 'pages';
                      }
                    | {
                        value: string | Post;
                        relationTo: 'posts';
                      };
                  url: string;
                  newTab?: boolean;
                  icon?: string | Media;
                };
                marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                id?: string;
                blockName?: string;
                blockType: 'button';
              }
            | {
                layout: {
                  width?: '1/4' | '1/3' | '1/2' | '2/3' | '3/4';
                  layout: (
                    | {
                        perPage: number;
                        articles?: string[] | Post[];
                        category?: string[] | Category[];
                        marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                        id?: string;
                        blockName?: string;
                        blockType: 'articles';
                      }
                    | {
                        text: string;
                        icon?: string | Media;
                        style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
                        size?: 'sm' | 'base' | 'md' | 'lg';
                        variant?: 'primary' | 'secondary';
                        link?: {
                          type?: 'reference' | 'custom';
                          reference:
                            | {
                                value: string | Page;
                                relationTo: 'pages';
                              }
                            | {
                                value: string | Post;
                                relationTo: 'posts';
                              };
                          url: string;
                          newTab?: boolean;
                          icon?: string | Media;
                        };
                        marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                        id?: string;
                        blockName?: string;
                        blockType: 'button';
                      }
                    | {
                        marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                        id?: string;
                        blockName?: string;
                        blockType: 'contactForm';
                      }
                    | {
                        marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                        id?: string;
                        blockName?: string;
                        blockType: 'contactSection';
                      }
                    | {
                        type?: 'simple' | 'graphical';
                        marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                        id?: string;
                        blockName?: string;
                        blockType: 'divider';
                      }
                    | {
                        questions?: {
                          title: string;
                          content: string;
                          id?: string;
                        }[];
                        marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                        id?: string;
                        blockName?: string;
                        blockType: 'faq';
                      }
                    | {
                        items?: {
                          title: string;
                          description: string;
                          id?: string;
                        }[];
                        marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                        id?: string;
                        blockName?: string;
                        blockType: 'features';
                      }
                    | {
                        images?: {
                          image: string | Media;
                          id?: string;
                        }[];
                        id?: string;
                        blockName?: string;
                        blockType: 'gallery';
                      }
                    | {
                        text: string;
                        as?: 'p' | 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
                        type?: 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
                        color?: string;
                        marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                        id?: string;
                        blockName?: string;
                        blockType: 'heading';
                      }
                    | {
                        children?: {
                          title?: string;
                          id?: string;
                        }[];
                        id?: string;
                        blockName?: string;
                        blockType: 'numberedList';
                      }
                    | {
                        items?: {
                          icon: string | Media;
                          title: string;
                          description: string;
                          id?: string;
                        }[];
                        id?: string;
                        blockName?: string;
                        blockType: 'owlCarousel';
                      }
                    | {
                        richText?: {
                          [k: string]: unknown;
                        }[];
                        links?: {
                          link?: {
                            type?: 'reference' | 'custom';
                            label: string;
                            reference:
                              | {
                                  value: string | Page;
                                  relationTo: 'pages';
                                }
                              | {
                                  value: string | Post;
                                  relationTo: 'posts';
                                };
                            url: string;
                            newTab?: boolean;
                            icon?: string | Media;
                          };
                          id?: string;
                        }[];
                        color?: string;
                        marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                        id?: string;
                        blockName?: string;
                        blockType: 'content';
                      }
                    | {
                        buttons?: {
                          text: string;
                          icon?: string | Media;
                          style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
                          size?: 'sm' | 'base' | 'md' | 'lg';
                          variant?: 'primary' | 'secondary';
                          link?: {
                            type?: 'reference' | 'custom';
                            reference:
                              | {
                                  value: string | Page;
                                  relationTo: 'pages';
                                }
                              | {
                                  value: string | Post;
                                  relationTo: 'posts';
                                };
                            url: string;
                            newTab?: boolean;
                            icon?: string | Media;
                          };
                          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                          id?: string;
                          blockName?: string;
                          blockType: 'button';
                        }[];
                        children?: {
                          title?: string;
                          id?: string;
                        }[];
                        image: string | Media;
                        marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                        id?: string;
                        blockName?: string;
                        blockType: 'sectionImage';
                      }
                    | {
                        items?: {
                          title: string;
                          description?: {
                            [k: string]: unknown;
                          }[];
                          id?: string;
                        }[];
                        marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                        id?: string;
                        blockName?: string;
                        blockType: 'timeline';
                      }
                    | {
                        items?: {
                          icon: string | Media;
                          title: string;
                          description?: {
                            [k: string]: unknown;
                          }[];
                          id?: string;
                        }[];
                        marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                        id?: string;
                        blockName?: string;
                        blockType: 'showcase';
                      }
                    | {
                        image: string | Media;
                        showCaption?: boolean;
                        caption: string;
                        marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                        id?: string;
                        blockName?: string;
                        blockType: 'image';
                      }
                  )[];
                  id?: string;
                  blockName?: string;
                  blockType: 'column';
                }[];
                marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                id?: string;
                blockName?: string;
                blockType: 'columns';
              }
            | {
                marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                id?: string;
                blockName?: string;
                blockType: 'contactForm';
              }
            | {
                marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                id?: string;
                blockName?: string;
                blockType: 'contactSection';
              }
            | {
                type?: 'simple' | 'graphical';
                marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                id?: string;
                blockName?: string;
                blockType: 'divider';
              }
            | {
                questions?: {
                  title: string;
                  content: string;
                  id?: string;
                }[];
                marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                id?: string;
                blockName?: string;
                blockType: 'faq';
              }
            | {
                items?: {
                  title: string;
                  description: string;
                  id?: string;
                }[];
                marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                id?: string;
                blockName?: string;
                blockType: 'features';
              }
            | {
                images?: {
                  image: string | Media;
                  id?: string;
                }[];
                id?: string;
                blockName?: string;
                blockType: 'gallery';
              }
            | {
                text: string;
                as?: 'p' | 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
                type?: 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
                color?: string;
                marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                id?: string;
                blockName?: string;
                blockType: 'heading';
              }
            | {
                children?: {
                  title?: string;
                  id?: string;
                }[];
                id?: string;
                blockName?: string;
                blockType: 'numberedList';
              }
            | {
                items?: {
                  icon: string | Media;
                  title: string;
                  description: string;
                  id?: string;
                }[];
                id?: string;
                blockName?: string;
                blockType: 'owlCarousel';
              }
            | {
                richText?: {
                  [k: string]: unknown;
                }[];
                links?: {
                  link?: {
                    type?: 'reference' | 'custom';
                    label: string;
                    reference:
                      | {
                          value: string | Page;
                          relationTo: 'pages';
                        }
                      | {
                          value: string | Post;
                          relationTo: 'posts';
                        };
                    url: string;
                    newTab?: boolean;
                    icon?: string | Media;
                  };
                  id?: string;
                }[];
                color?: string;
                marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                id?: string;
                blockName?: string;
                blockType: 'content';
              }
            | {
                buttons?: {
                  text: string;
                  icon?: string | Media;
                  style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
                  size?: 'sm' | 'base' | 'md' | 'lg';
                  variant?: 'primary' | 'secondary';
                  link?: {
                    type?: 'reference' | 'custom';
                    reference:
                      | {
                          value: string | Page;
                          relationTo: 'pages';
                        }
                      | {
                          value: string | Post;
                          relationTo: 'posts';
                        };
                    url: string;
                    newTab?: boolean;
                    icon?: string | Media;
                  };
                  marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                  id?: string;
                  blockName?: string;
                  blockType: 'button';
                }[];
                children?: {
                  title?: string;
                  id?: string;
                }[];
                image: string | Media;
                marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                id?: string;
                blockName?: string;
                blockType: 'sectionImage';
              }
            | {
                items?: {
                  title: string;
                  description?: {
                    [k: string]: unknown;
                  }[];
                  id?: string;
                }[];
                marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                id?: string;
                blockName?: string;
                blockType: 'timeline';
              }
            | {
                layout: (
                  | {
                      perPage: number;
                      articles?: string[] | Post[];
                      category?: string[] | Category[];
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'articles';
                    }
                  | {
                      layout: {
                        width?: '1/4' | '1/3' | '1/2' | '2/3' | '3/4';
                        layout: (
                          | {
                              perPage: number;
                              articles?: string[] | Post[];
                              category?: string[] | Category[];
                              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                              id?: string;
                              blockName?: string;
                              blockType: 'articles';
                            }
                          | {
                              text: string;
                              icon?: string | Media;
                              style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
                              size?: 'sm' | 'base' | 'md' | 'lg';
                              variant?: 'primary' | 'secondary';
                              link?: {
                                type?: 'reference' | 'custom';
                                reference:
                                  | {
                                      value: string | Page;
                                      relationTo: 'pages';
                                    }
                                  | {
                                      value: string | Post;
                                      relationTo: 'posts';
                                    };
                                url: string;
                                newTab?: boolean;
                                icon?: string | Media;
                              };
                              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                              id?: string;
                              blockName?: string;
                              blockType: 'button';
                            }
                          | {
                              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                              id?: string;
                              blockName?: string;
                              blockType: 'contactForm';
                            }
                          | {
                              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                              id?: string;
                              blockName?: string;
                              blockType: 'contactSection';
                            }
                          | {
                              type?: 'simple' | 'graphical';
                              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                              id?: string;
                              blockName?: string;
                              blockType: 'divider';
                            }
                          | {
                              questions?: {
                                title: string;
                                content: string;
                                id?: string;
                              }[];
                              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                              id?: string;
                              blockName?: string;
                              blockType: 'faq';
                            }
                          | {
                              items?: {
                                title: string;
                                description: string;
                                id?: string;
                              }[];
                              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                              id?: string;
                              blockName?: string;
                              blockType: 'features';
                            }
                          | {
                              images?: {
                                image: string | Media;
                                id?: string;
                              }[];
                              id?: string;
                              blockName?: string;
                              blockType: 'gallery';
                            }
                          | {
                              text: string;
                              as?: 'p' | 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
                              type?: 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
                              color?: string;
                              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                              id?: string;
                              blockName?: string;
                              blockType: 'heading';
                            }
                          | {
                              children?: {
                                title?: string;
                                id?: string;
                              }[];
                              id?: string;
                              blockName?: string;
                              blockType: 'numberedList';
                            }
                          | {
                              items?: {
                                icon: string | Media;
                                title: string;
                                description: string;
                                id?: string;
                              }[];
                              id?: string;
                              blockName?: string;
                              blockType: 'owlCarousel';
                            }
                          | {
                              richText?: {
                                [k: string]: unknown;
                              }[];
                              links?: {
                                link?: {
                                  type?: 'reference' | 'custom';
                                  label: string;
                                  reference:
                                    | {
                                        value: string | Page;
                                        relationTo: 'pages';
                                      }
                                    | {
                                        value: string | Post;
                                        relationTo: 'posts';
                                      };
                                  url: string;
                                  newTab?: boolean;
                                  icon?: string | Media;
                                };
                                id?: string;
                              }[];
                              color?: string;
                              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                              id?: string;
                              blockName?: string;
                              blockType: 'content';
                            }
                          | {
                              buttons?: {
                                text: string;
                                icon?: string | Media;
                                style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
                                size?: 'sm' | 'base' | 'md' | 'lg';
                                variant?: 'primary' | 'secondary';
                                link?: {
                                  type?: 'reference' | 'custom';
                                  reference:
                                    | {
                                        value: string | Page;
                                        relationTo: 'pages';
                                      }
                                    | {
                                        value: string | Post;
                                        relationTo: 'posts';
                                      };
                                  url: string;
                                  newTab?: boolean;
                                  icon?: string | Media;
                                };
                                marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                                id?: string;
                                blockName?: string;
                                blockType: 'button';
                              }[];
                              children?: {
                                title?: string;
                                id?: string;
                              }[];
                              image: string | Media;
                              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                              id?: string;
                              blockName?: string;
                              blockType: 'sectionImage';
                            }
                          | {
                              items?: {
                                title: string;
                                description?: {
                                  [k: string]: unknown;
                                }[];
                                id?: string;
                              }[];
                              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                              id?: string;
                              blockName?: string;
                              blockType: 'timeline';
                            }
                          | {
                              items?: {
                                icon: string | Media;
                                title: string;
                                description?: {
                                  [k: string]: unknown;
                                }[];
                                id?: string;
                              }[];
                              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                              id?: string;
                              blockName?: string;
                              blockType: 'showcase';
                            }
                          | {
                              image: string | Media;
                              showCaption?: boolean;
                              caption: string;
                              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                              id?: string;
                              blockName?: string;
                              blockType: 'image';
                            }
                        )[];
                        id?: string;
                        blockName?: string;
                        blockType: 'column';
                      }[];
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'columns';
                    }
                  | {
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'contactForm';
                    }
                  | {
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'contactSection';
                    }
                  | {
                      type?: 'simple' | 'graphical';
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'divider';
                    }
                  | {
                      questions?: {
                        title: string;
                        content: string;
                        id?: string;
                      }[];
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'faq';
                    }
                  | {
                      items?: {
                        title: string;
                        description: string;
                        id?: string;
                      }[];
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'features';
                    }
                  | {
                      images?: {
                        image: string | Media;
                        id?: string;
                      }[];
                      id?: string;
                      blockName?: string;
                      blockType: 'gallery';
                    }
                  | {
                      text: string;
                      as?: 'p' | 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
                      type?: 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
                      color?: string;
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'heading';
                    }
                  | {
                      children?: {
                        title?: string;
                        id?: string;
                      }[];
                      id?: string;
                      blockName?: string;
                      blockType: 'numberedList';
                    }
                  | {
                      items?: {
                        icon: string | Media;
                        title: string;
                        description: string;
                        id?: string;
                      }[];
                      id?: string;
                      blockName?: string;
                      blockType: 'owlCarousel';
                    }
                  | {
                      richText?: {
                        [k: string]: unknown;
                      }[];
                      links?: {
                        link?: {
                          type?: 'reference' | 'custom';
                          label: string;
                          reference:
                            | {
                                value: string | Page;
                                relationTo: 'pages';
                              }
                            | {
                                value: string | Post;
                                relationTo: 'posts';
                              };
                          url: string;
                          newTab?: boolean;
                          icon?: string | Media;
                        };
                        id?: string;
                      }[];
                      color?: string;
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'content';
                    }
                  | {
                      buttons?: {
                        text: string;
                        icon?: string | Media;
                        style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
                        size?: 'sm' | 'base' | 'md' | 'lg';
                        variant?: 'primary' | 'secondary';
                        link?: {
                          type?: 'reference' | 'custom';
                          reference:
                            | {
                                value: string | Page;
                                relationTo: 'pages';
                              }
                            | {
                                value: string | Post;
                                relationTo: 'posts';
                              };
                          url: string;
                          newTab?: boolean;
                          icon?: string | Media;
                        };
                        marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                        id?: string;
                        blockName?: string;
                        blockType: 'button';
                      }[];
                      children?: {
                        title?: string;
                        id?: string;
                      }[];
                      image: string | Media;
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'sectionImage';
                    }
                  | {
                      items?: {
                        title: string;
                        description?: {
                          [k: string]: unknown;
                        }[];
                        id?: string;
                      }[];
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'timeline';
                    }
                )[];
                object: (
                  | {
                      perPage: number;
                      articles?: string[] | Post[];
                      category?: string[] | Category[];
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'articles';
                    }
                  | {
                      layout: {
                        width?: '1/4' | '1/3' | '1/2' | '2/3' | '3/4';
                        layout: (
                          | {
                              perPage: number;
                              articles?: string[] | Post[];
                              category?: string[] | Category[];
                              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                              id?: string;
                              blockName?: string;
                              blockType: 'articles';
                            }
                          | {
                              text: string;
                              icon?: string | Media;
                              style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
                              size?: 'sm' | 'base' | 'md' | 'lg';
                              variant?: 'primary' | 'secondary';
                              link?: {
                                type?: 'reference' | 'custom';
                                reference:
                                  | {
                                      value: string | Page;
                                      relationTo: 'pages';
                                    }
                                  | {
                                      value: string | Post;
                                      relationTo: 'posts';
                                    };
                                url: string;
                                newTab?: boolean;
                                icon?: string | Media;
                              };
                              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                              id?: string;
                              blockName?: string;
                              blockType: 'button';
                            }
                          | {
                              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                              id?: string;
                              blockName?: string;
                              blockType: 'contactForm';
                            }
                          | {
                              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                              id?: string;
                              blockName?: string;
                              blockType: 'contactSection';
                            }
                          | {
                              type?: 'simple' | 'graphical';
                              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                              id?: string;
                              blockName?: string;
                              blockType: 'divider';
                            }
                          | {
                              questions?: {
                                title: string;
                                content: string;
                                id?: string;
                              }[];
                              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                              id?: string;
                              blockName?: string;
                              blockType: 'faq';
                            }
                          | {
                              items?: {
                                title: string;
                                description: string;
                                id?: string;
                              }[];
                              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                              id?: string;
                              blockName?: string;
                              blockType: 'features';
                            }
                          | {
                              images?: {
                                image: string | Media;
                                id?: string;
                              }[];
                              id?: string;
                              blockName?: string;
                              blockType: 'gallery';
                            }
                          | {
                              text: string;
                              as?: 'p' | 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
                              type?: 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
                              color?: string;
                              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                              id?: string;
                              blockName?: string;
                              blockType: 'heading';
                            }
                          | {
                              children?: {
                                title?: string;
                                id?: string;
                              }[];
                              id?: string;
                              blockName?: string;
                              blockType: 'numberedList';
                            }
                          | {
                              items?: {
                                icon: string | Media;
                                title: string;
                                description: string;
                                id?: string;
                              }[];
                              id?: string;
                              blockName?: string;
                              blockType: 'owlCarousel';
                            }
                          | {
                              richText?: {
                                [k: string]: unknown;
                              }[];
                              links?: {
                                link?: {
                                  type?: 'reference' | 'custom';
                                  label: string;
                                  reference:
                                    | {
                                        value: string | Page;
                                        relationTo: 'pages';
                                      }
                                    | {
                                        value: string | Post;
                                        relationTo: 'posts';
                                      };
                                  url: string;
                                  newTab?: boolean;
                                  icon?: string | Media;
                                };
                                id?: string;
                              }[];
                              color?: string;
                              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                              id?: string;
                              blockName?: string;
                              blockType: 'content';
                            }
                          | {
                              buttons?: {
                                text: string;
                                icon?: string | Media;
                                style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
                                size?: 'sm' | 'base' | 'md' | 'lg';
                                variant?: 'primary' | 'secondary';
                                link?: {
                                  type?: 'reference' | 'custom';
                                  reference:
                                    | {
                                        value: string | Page;
                                        relationTo: 'pages';
                                      }
                                    | {
                                        value: string | Post;
                                        relationTo: 'posts';
                                      };
                                  url: string;
                                  newTab?: boolean;
                                  icon?: string | Media;
                                };
                                marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                                id?: string;
                                blockName?: string;
                                blockType: 'button';
                              }[];
                              children?: {
                                title?: string;
                                id?: string;
                              }[];
                              image: string | Media;
                              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                              id?: string;
                              blockName?: string;
                              blockType: 'sectionImage';
                            }
                          | {
                              items?: {
                                title: string;
                                description?: {
                                  [k: string]: unknown;
                                }[];
                                id?: string;
                              }[];
                              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                              id?: string;
                              blockName?: string;
                              blockType: 'timeline';
                            }
                          | {
                              items?: {
                                icon: string | Media;
                                title: string;
                                description?: {
                                  [k: string]: unknown;
                                }[];
                                id?: string;
                              }[];
                              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                              id?: string;
                              blockName?: string;
                              blockType: 'showcase';
                            }
                          | {
                              image: string | Media;
                              showCaption?: boolean;
                              caption: string;
                              marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                              id?: string;
                              blockName?: string;
                              blockType: 'image';
                            }
                        )[];
                        id?: string;
                        blockName?: string;
                        blockType: 'column';
                      }[];
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'columns';
                    }
                  | {
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'contactForm';
                    }
                  | {
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'contactSection';
                    }
                  | {
                      type?: 'simple' | 'graphical';
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'divider';
                    }
                  | {
                      questions?: {
                        title: string;
                        content: string;
                        id?: string;
                      }[];
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'faq';
                    }
                  | {
                      items?: {
                        title: string;
                        description: string;
                        id?: string;
                      }[];
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'features';
                    }
                  | {
                      images?: {
                        image: string | Media;
                        id?: string;
                      }[];
                      id?: string;
                      blockName?: string;
                      blockType: 'gallery';
                    }
                  | {
                      text: string;
                      as?: 'p' | 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
                      type?: 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
                      color?: string;
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'heading';
                    }
                  | {
                      children?: {
                        title?: string;
                        id?: string;
                      }[];
                      id?: string;
                      blockName?: string;
                      blockType: 'numberedList';
                    }
                  | {
                      items?: {
                        icon: string | Media;
                        title: string;
                        description: string;
                        id?: string;
                      }[];
                      id?: string;
                      blockName?: string;
                      blockType: 'owlCarousel';
                    }
                  | {
                      richText?: {
                        [k: string]: unknown;
                      }[];
                      links?: {
                        link?: {
                          type?: 'reference' | 'custom';
                          label: string;
                          reference:
                            | {
                                value: string | Page;
                                relationTo: 'pages';
                              }
                            | {
                                value: string | Post;
                                relationTo: 'posts';
                              };
                          url: string;
                          newTab?: boolean;
                          icon?: string | Media;
                        };
                        id?: string;
                      }[];
                      color?: string;
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'content';
                    }
                  | {
                      buttons?: {
                        text: string;
                        icon?: string | Media;
                        style?: 'primary' | 'secondary' | 'light' | 'dark' | 'red';
                        size?: 'sm' | 'base' | 'md' | 'lg';
                        variant?: 'primary' | 'secondary';
                        link?: {
                          type?: 'reference' | 'custom';
                          reference:
                            | {
                                value: string | Page;
                                relationTo: 'pages';
                              }
                            | {
                                value: string | Post;
                                relationTo: 'posts';
                              };
                          url: string;
                          newTab?: boolean;
                          icon?: string | Media;
                        };
                        marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                        id?: string;
                        blockName?: string;
                        blockType: 'button';
                      }[];
                      children?: {
                        title?: string;
                        id?: string;
                      }[];
                      image: string | Media;
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'sectionImage';
                    }
                  | {
                      items?: {
                        title: string;
                        description?: {
                          [k: string]: unknown;
                        }[];
                        id?: string;
                      }[];
                      marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                      id?: string;
                      blockName?: string;
                      blockType: 'timeline';
                    }
                )[];
                marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
                id?: string;
                blockName?: string;
                blockType: 'bottomOverflow';
              }
          )[];
          id?: string;
          blockName?: string;
          blockType: 'container';
        }
      | {
          items?: {
            icon: string | Media;
            title: string;
            description?: {
              [k: string]: unknown;
            }[];
            id?: string;
          }[];
          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
          id?: string;
          blockName?: string;
          blockType: 'showcase';
        }
      | {
          image: string | Media;
          showCaption?: boolean;
          caption: string;
          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
          id?: string;
          blockName?: string;
          blockType: 'image';
        }
      | {
          employees?: string[] | Employee[];
          marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
          id?: string;
          blockName?: string;
          blockType: 'employeesBlock';
        }
    )[];
    marginTop?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
    marginBottom?: 'none' | 'xs' | 'sm' | 'md' | 'lg';
    id?: string;
    blockName?: string;
    blockType: 'container';
  }[];
  slug: string;
  author: string | User;
  publishDate?: string;
  meta?: {
    title?: string;
    description?: string;
  };
  _status?: 'draft' | 'published';
  createdAt: string;
  updatedAt: string;
}
export interface Category {
  id: string;
  title: string;
  createdAt: string;
  updatedAt: string;
}
export interface Employee {
  id: string;
  name: string;
  telephoneNumber?: string;
  position?: string;
  email: string;
  image?: string | Media;
  createdAt: string;
  updatedAt: string;
}
export interface ClientReference {
  id: string;
  name: string;
  position: string;
  image: string | Media;
  review: string;
  createdAt: string;
  updatedAt: string;
}
export interface Header {
  id: string;
  items?: {
    type?: 'link' | 'subMenu';
    label: string;
    icon?: string | Media;
    children?: {
      link?: {
        type?: 'reference' | 'custom';
        label: string;
        reference:
          | {
              value: string | Page;
              relationTo: 'pages';
            }
          | {
              value: string | Post;
              relationTo: 'posts';
            };
        url: string;
        newTab?: boolean;
        icon?: string | Media;
      };
      id?: string;
    }[];
    link?: {
      type?: 'reference' | 'custom';
      reference:
        | {
            value: string | Page;
            relationTo: 'pages';
          }
        | {
            value: string | Post;
            relationTo: 'posts';
          };
      url: string;
      newTab?: boolean;
    };
    id?: string;
  }[];
}
export interface Footer {
  id: string;
  columns?: {
    title: string;
    navItems?: {
      link?: {
        type?: 'reference' | 'custom';
        label: string;
        reference:
          | {
              value: string | Page;
              relationTo: 'pages';
            }
          | {
              value: string | Post;
              relationTo: 'posts';
            };
        url: string;
        newTab?: boolean;
        icon?: string | Media;
      };
      id?: string;
    }[];
    id?: string;
  }[];
}
export interface SocialSite {
  id: string;
  instagramUrl: string;
  facebookUrl: string;
  linkedInUrl: string;
  twitterUrl: string;
}
export interface Metadatum {
  id: string;
  defaultTitle: string;
  ogDescription: string;
  ogTwitter: string;
  ogCreator: string;
  ogImage: string | Media;
}
export interface ContactDetail {
  id: string;
  telephoneNumber: string;
  emailAddress: string;
  address?: {
    [k: string]: unknown;
  }[];
}
export interface WebsiteSetting {
  id: string;
  mainPage?: {
    value: string | Page;
    relationTo: 'pages';
  };
}
export interface Cooky {
  id: string;
  agreement?: {
    [k: string]: unknown;
  }[];
  categories?: {
    title?: string;
    description?: {
      [k: string]: unknown;
    }[];
    id?: string;
  }[];
  additionalInformation?: {
    [k: string]: unknown;
  }[];
}
